module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _values = __webpack_require__(1);

	var _values2 = _interopRequireDefault(_values);

	var _keys = __webpack_require__(36);

	var _keys2 = _interopRequireDefault(_keys);

	var _AnalyticsPlugin = __webpack_require__(41);

	var _AnalyticsPlugin2 = _interopRequireDefault(_AnalyticsPlugin);

	var _GAModule = __webpack_require__(90);

	var _GAModule2 = _interopRequireDefault(_GAModule);

	var _MixpanelModule = __webpack_require__(123);

	var _MixpanelModule2 = _interopRequireDefault(_MixpanelModule);

	var _SegmentModule = __webpack_require__(128);

	var _SegmentModule2 = _interopRequireDefault(_SegmentModule);

	var _FacebookModule = __webpack_require__(129);

	var _FacebookModule2 = _interopRequireDefault(_FacebookModule);

	var _MparticleModule = __webpack_require__(131);

	var _MparticleModule2 = _interopRequireDefault(_MparticleModule);

	var _utils = __webpack_require__(122);

	var Utils = _interopRequireWildcard(_utils);

	var _analyticsTypes = __webpack_require__(120);

	var types = _interopRequireWildcard(_analyticsTypes);

	function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var customModules = {};

	/**
	 * Installation procedure
	 *
	 * @param Vue
	 * @param initConf
	 */

	var install = function install(Vue) {
	  var initConf = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
	  var mixin = arguments[2];

	  // init Google Analytics
	  // We create all the modules that app will use
	  Vue.modulesEnabled = [];
	  for (var key in initConf.modules) {
	    var module = void 0;
	    switch (key) {
	      case types.MODULE_GA:
	        module = new _GAModule2.default();
	        module.init(initConf.modules[key]);
	        break;
	      case types.MODULE_MIXPANEL:
	        module = new _MixpanelModule2.default();
	        module.init(initConf.modules[key]);
	        break;
	      case types.MODULE_SEGMENT:
	        module = new _SegmentModule2.default();
	        module.init(initConf.modules[key]);
	        break;
	      case types.MODULE_FACEBOOK:
	        module = new _FacebookModule2.default();
	        module.init(initConf.modules[key]);
	        break;
	      case types.MODULE_MPARTICLE:
	        module = new _MparticleModule2.default();
	        module.init(initConf.modules[key]);
	      default:
	        break;
	    }
	    if (module) {
	      Vue.modulesEnabled.push(module);
	    }
	  }

	  if ((0, _keys2.default)(customModules).length > 0) {
	    (0, _values2.default)(customModules).forEach(function (module, index) {
	      var moduleInstance = new module();
	      moduleInstance.init(initConf.modules[(0, _keys2.default)(customModules)[index]]);
	      Vue.modulesEnabled.push(moduleInstance);
	    });
	  }
	  // Handle vue-router if defined
	  if (initConf.routing && initConf.routing.vueRouter) {
	    initVueRouterGuard(Vue, initConf.routing);
	  }

	  // Add to vue prototype and also from globals
	  var analyticsPlugin = new _AnalyticsPlugin2.default(Vue.modulesEnabled);
	  Vue.prototype.$multianalytics = Vue.prototype.$ma = Vue.ma = analyticsPlugin;

	  // User can add its own implementation of an interface
	  if (mixin) {
	    Vue.prototype.$multianalyticsm = Vue.prototype.$mam = Vue.mam = mixin(analyticsPlugin);
	  }
	};

	var addCustomModule = function addCustomModule(name, module) {
	  customModules[name] = module;
	};

	/**
	 * Init the router guard.
	 *
	 * @param {any} Vue - The Vue instance
	 * @param {any} routing - an object with some properties to be used by the vueRouterGuard. Possible params are 'vueRouter', 'ignoredView', 'preferredProperty', 'ignoredModules'
	 * @returns {string[]} The ignored routes names formalized.
	 */
	var initVueRouterGuard = function initVueRouterGuard(Vue, routing) {
	  // Flatten routes name
	  if (routing.ignoredViews) {
	    routing.ignoredViews = routing.ignoredViews.map(function (view) {
	      return view.toLowerCase();
	    });
	  }

	  if (!routing.preferredProperty) {
	    routing.preferredProperty = 'path';
	  }

	  routing.vueRouter.afterEach(function (to) {
	    // Ignore some routes
	    if (routing.ignoredViews && routing.ignoredViews.indexOf(to[routing.preferredProperty].toLowerCase()) !== -1) {
	      return;
	    }
	    // Dispatch vue event using meta analytics value if defined otherwise fallback to route name
	    Vue.ma.trackView({ viewName: to.meta.analytics || to[routing.preferredProperty] }, routing.ignoredModules);
	  });

	  return routing.ignoredViews;
	};

	// Export module
	exports.default = { install: install, addCustomModule: addCustomModule };

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(2), __esModule: true };

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(3);
	module.exports = __webpack_require__(6).Object.values;


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

	// https://github.com/tc39/proposal-object-values-entries
	var $export = __webpack_require__(4);
	var $values = __webpack_require__(20)(false);

	$export($export.S, 'Object', {
	  values: function values(it) {
	    return $values(it);
	  }
	});


/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

	var global = __webpack_require__(5);
	var core = __webpack_require__(6);
	var ctx = __webpack_require__(7);
	var hide = __webpack_require__(9);
	var has = __webpack_require__(19);
	var PROTOTYPE = 'prototype';

	var $export = function (type, name, source) {
	  var IS_FORCED = type & $export.F;
	  var IS_GLOBAL = type & $export.G;
	  var IS_STATIC = type & $export.S;
	  var IS_PROTO = type & $export.P;
	  var IS_BIND = type & $export.B;
	  var IS_WRAP = type & $export.W;
	  var exports = IS_GLOBAL ? core : core[name] || (core[name] = {});
	  var expProto = exports[PROTOTYPE];
	  var target = IS_GLOBAL ? global : IS_STATIC ? global[name] : (global[name] || {})[PROTOTYPE];
	  var key, own, out;
	  if (IS_GLOBAL) source = name;
	  for (key in source) {
	    // contains in native
	    own = !IS_FORCED && target && target[key] !== undefined;
	    if (own && has(exports, key)) continue;
	    // export native or passed
	    out = own ? target[key] : source[key];
	    // prevent global pollution for namespaces
	    exports[key] = IS_GLOBAL && typeof target[key] != 'function' ? source[key]
	    // bind timers to global for call from export context
	    : IS_BIND && own ? ctx(out, global)
	    // wrap global constructors for prevent change them in library
	    : IS_WRAP && target[key] == out ? (function (C) {
	      var F = function (a, b, c) {
	        if (this instanceof C) {
	          switch (arguments.length) {
	            case 0: return new C();
	            case 1: return new C(a);
	            case 2: return new C(a, b);
	          } return new C(a, b, c);
	        } return C.apply(this, arguments);
	      };
	      F[PROTOTYPE] = C[PROTOTYPE];
	      return F;
	    // make static versions for prototype methods
	    })(out) : IS_PROTO && typeof out == 'function' ? ctx(Function.call, out) : out;
	    // export proto methods to core.%CONSTRUCTOR%.methods.%NAME%
	    if (IS_PROTO) {
	      (exports.virtual || (exports.virtual = {}))[key] = out;
	      // export proto methods to core.%CONSTRUCTOR%.prototype.%NAME%
	      if (type & $export.R && expProto && !expProto[key]) hide(expProto, key, out);
	    }
	  }
	};
	// type bitmap
	$export.F = 1;   // forced
	$export.G = 2;   // global
	$export.S = 4;   // static
	$export.P = 8;   // proto
	$export.B = 16;  // bind
	$export.W = 32;  // wrap
	$export.U = 64;  // safe
	$export.R = 128; // real proto method for `library`
	module.exports = $export;


/***/ }),
/* 5 */
/***/ (function(module, exports) {

	// https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
	var global = module.exports = typeof window != 'undefined' && window.Math == Math
	  ? window : typeof self != 'undefined' && self.Math == Math ? self
	  // eslint-disable-next-line no-new-func
	  : Function('return this')();
	if (typeof __g == 'number') __g = global; // eslint-disable-line no-undef


/***/ }),
/* 6 */
/***/ (function(module, exports) {

	var core = module.exports = { version: '2.5.4' };
	if (typeof __e == 'number') __e = core; // eslint-disable-line no-undef


/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

	// optional / simple context binding
	var aFunction = __webpack_require__(8);
	module.exports = function (fn, that, length) {
	  aFunction(fn);
	  if (that === undefined) return fn;
	  switch (length) {
	    case 1: return function (a) {
	      return fn.call(that, a);
	    };
	    case 2: return function (a, b) {
	      return fn.call(that, a, b);
	    };
	    case 3: return function (a, b, c) {
	      return fn.call(that, a, b, c);
	    };
	  }
	  return function (/* ...args */) {
	    return fn.apply(that, arguments);
	  };
	};


/***/ }),
/* 8 */
/***/ (function(module, exports) {

	module.exports = function (it) {
	  if (typeof it != 'function') throw TypeError(it + ' is not a function!');
	  return it;
	};


/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

	var dP = __webpack_require__(10);
	var createDesc = __webpack_require__(18);
	module.exports = __webpack_require__(14) ? function (object, key, value) {
	  return dP.f(object, key, createDesc(1, value));
	} : function (object, key, value) {
	  object[key] = value;
	  return object;
	};


/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

	var anObject = __webpack_require__(11);
	var IE8_DOM_DEFINE = __webpack_require__(13);
	var toPrimitive = __webpack_require__(17);
	var dP = Object.defineProperty;

	exports.f = __webpack_require__(14) ? Object.defineProperty : function defineProperty(O, P, Attributes) {
	  anObject(O);
	  P = toPrimitive(P, true);
	  anObject(Attributes);
	  if (IE8_DOM_DEFINE) try {
	    return dP(O, P, Attributes);
	  } catch (e) { /* empty */ }
	  if ('get' in Attributes || 'set' in Attributes) throw TypeError('Accessors not supported!');
	  if ('value' in Attributes) O[P] = Attributes.value;
	  return O;
	};


/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

	var isObject = __webpack_require__(12);
	module.exports = function (it) {
	  if (!isObject(it)) throw TypeError(it + ' is not an object!');
	  return it;
	};


/***/ }),
/* 12 */
/***/ (function(module, exports) {

	module.exports = function (it) {
	  return typeof it === 'object' ? it !== null : typeof it === 'function';
	};


/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = !__webpack_require__(14) && !__webpack_require__(15)(function () {
	  return Object.defineProperty(__webpack_require__(16)('div'), 'a', { get: function () { return 7; } }).a != 7;
	});


/***/ }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

	// Thank's IE8 for his funny defineProperty
	module.exports = !__webpack_require__(15)(function () {
	  return Object.defineProperty({}, 'a', { get: function () { return 7; } }).a != 7;
	});


/***/ }),
/* 15 */
/***/ (function(module, exports) {

	module.exports = function (exec) {
	  try {
	    return !!exec();
	  } catch (e) {
	    return true;
	  }
	};


/***/ }),
/* 16 */
/***/ (function(module, exports, __webpack_require__) {

	var isObject = __webpack_require__(12);
	var document = __webpack_require__(5).document;
	// typeof document.createElement is 'object' in old IE
	var is = isObject(document) && isObject(document.createElement);
	module.exports = function (it) {
	  return is ? document.createElement(it) : {};
	};


/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

	// 7.1.1 ToPrimitive(input [, PreferredType])
	var isObject = __webpack_require__(12);
	// instead of the ES6 spec version, we didn't implement @@toPrimitive case
	// and the second argument - flag - preferred type is a string
	module.exports = function (it, S) {
	  if (!isObject(it)) return it;
	  var fn, val;
	  if (S && typeof (fn = it.toString) == 'function' && !isObject(val = fn.call(it))) return val;
	  if (typeof (fn = it.valueOf) == 'function' && !isObject(val = fn.call(it))) return val;
	  if (!S && typeof (fn = it.toString) == 'function' && !isObject(val = fn.call(it))) return val;
	  throw TypeError("Can't convert object to primitive value");
	};


/***/ }),
/* 18 */
/***/ (function(module, exports) {

	module.exports = function (bitmap, value) {
	  return {
	    enumerable: !(bitmap & 1),
	    configurable: !(bitmap & 2),
	    writable: !(bitmap & 4),
	    value: value
	  };
	};


/***/ }),
/* 19 */
/***/ (function(module, exports) {

	var hasOwnProperty = {}.hasOwnProperty;
	module.exports = function (it, key) {
	  return hasOwnProperty.call(it, key);
	};


/***/ }),
/* 20 */
/***/ (function(module, exports, __webpack_require__) {

	var getKeys = __webpack_require__(21);
	var toIObject = __webpack_require__(23);
	var isEnum = __webpack_require__(35).f;
	module.exports = function (isEntries) {
	  return function (it) {
	    var O = toIObject(it);
	    var keys = getKeys(O);
	    var length = keys.length;
	    var i = 0;
	    var result = [];
	    var key;
	    while (length > i) if (isEnum.call(O, key = keys[i++])) {
	      result.push(isEntries ? [key, O[key]] : O[key]);
	    } return result;
	  };
	};


/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

	// 19.1.2.14 / 15.2.3.14 Object.keys(O)
	var $keys = __webpack_require__(22);
	var enumBugKeys = __webpack_require__(34);

	module.exports = Object.keys || function keys(O) {
	  return $keys(O, enumBugKeys);
	};


/***/ }),
/* 22 */
/***/ (function(module, exports, __webpack_require__) {

	var has = __webpack_require__(19);
	var toIObject = __webpack_require__(23);
	var arrayIndexOf = __webpack_require__(27)(false);
	var IE_PROTO = __webpack_require__(31)('IE_PROTO');

	module.exports = function (object, names) {
	  var O = toIObject(object);
	  var i = 0;
	  var result = [];
	  var key;
	  for (key in O) if (key != IE_PROTO) has(O, key) && result.push(key);
	  // Don't enum bug & hidden keys
	  while (names.length > i) if (has(O, key = names[i++])) {
	    ~arrayIndexOf(result, key) || result.push(key);
	  }
	  return result;
	};


/***/ }),
/* 23 */
/***/ (function(module, exports, __webpack_require__) {

	// to indexed object, toObject with fallback for non-array-like ES3 strings
	var IObject = __webpack_require__(24);
	var defined = __webpack_require__(26);
	module.exports = function (it) {
	  return IObject(defined(it));
	};


/***/ }),
/* 24 */
/***/ (function(module, exports, __webpack_require__) {

	// fallback for non-array-like ES3 and non-enumerable old V8 strings
	var cof = __webpack_require__(25);
	// eslint-disable-next-line no-prototype-builtins
	module.exports = Object('z').propertyIsEnumerable(0) ? Object : function (it) {
	  return cof(it) == 'String' ? it.split('') : Object(it);
	};


/***/ }),
/* 25 */
/***/ (function(module, exports) {

	var toString = {}.toString;

	module.exports = function (it) {
	  return toString.call(it).slice(8, -1);
	};


/***/ }),
/* 26 */
/***/ (function(module, exports) {

	// 7.2.1 RequireObjectCoercible(argument)
	module.exports = function (it) {
	  if (it == undefined) throw TypeError("Can't call method on  " + it);
	  return it;
	};


/***/ }),
/* 27 */
/***/ (function(module, exports, __webpack_require__) {

	// false -> Array#indexOf
	// true  -> Array#includes
	var toIObject = __webpack_require__(23);
	var toLength = __webpack_require__(28);
	var toAbsoluteIndex = __webpack_require__(30);
	module.exports = function (IS_INCLUDES) {
	  return function ($this, el, fromIndex) {
	    var O = toIObject($this);
	    var length = toLength(O.length);
	    var index = toAbsoluteIndex(fromIndex, length);
	    var value;
	    // Array#includes uses SameValueZero equality algorithm
	    // eslint-disable-next-line no-self-compare
	    if (IS_INCLUDES && el != el) while (length > index) {
	      value = O[index++];
	      // eslint-disable-next-line no-self-compare
	      if (value != value) return true;
	    // Array#indexOf ignores holes, Array#includes - not
	    } else for (;length > index; index++) if (IS_INCLUDES || index in O) {
	      if (O[index] === el) return IS_INCLUDES || index || 0;
	    } return !IS_INCLUDES && -1;
	  };
	};


/***/ }),
/* 28 */
/***/ (function(module, exports, __webpack_require__) {

	// 7.1.15 ToLength
	var toInteger = __webpack_require__(29);
	var min = Math.min;
	module.exports = function (it) {
	  return it > 0 ? min(toInteger(it), 0x1fffffffffffff) : 0; // pow(2, 53) - 1 == 9007199254740991
	};


/***/ }),
/* 29 */
/***/ (function(module, exports) {

	// 7.1.4 ToInteger
	var ceil = Math.ceil;
	var floor = Math.floor;
	module.exports = function (it) {
	  return isNaN(it = +it) ? 0 : (it > 0 ? floor : ceil)(it);
	};


/***/ }),
/* 30 */
/***/ (function(module, exports, __webpack_require__) {

	var toInteger = __webpack_require__(29);
	var max = Math.max;
	var min = Math.min;
	module.exports = function (index, length) {
	  index = toInteger(index);
	  return index < 0 ? max(index + length, 0) : min(index, length);
	};


/***/ }),
/* 31 */
/***/ (function(module, exports, __webpack_require__) {

	var shared = __webpack_require__(32)('keys');
	var uid = __webpack_require__(33);
	module.exports = function (key) {
	  return shared[key] || (shared[key] = uid(key));
	};


/***/ }),
/* 32 */
/***/ (function(module, exports, __webpack_require__) {

	var global = __webpack_require__(5);
	var SHARED = '__core-js_shared__';
	var store = global[SHARED] || (global[SHARED] = {});
	module.exports = function (key) {
	  return store[key] || (store[key] = {});
	};


/***/ }),
/* 33 */
/***/ (function(module, exports) {

	var id = 0;
	var px = Math.random();
	module.exports = function (key) {
	  return 'Symbol('.concat(key === undefined ? '' : key, ')_', (++id + px).toString(36));
	};


/***/ }),
/* 34 */
/***/ (function(module, exports) {

	// IE 8- don't enum bug keys
	module.exports = (
	  'constructor,hasOwnProperty,isPrototypeOf,propertyIsEnumerable,toLocaleString,toString,valueOf'
	).split(',');


/***/ }),
/* 35 */
/***/ (function(module, exports) {

	exports.f = {}.propertyIsEnumerable;


/***/ }),
/* 36 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(37), __esModule: true };

/***/ }),
/* 37 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(38);
	module.exports = __webpack_require__(6).Object.keys;


/***/ }),
/* 38 */
/***/ (function(module, exports, __webpack_require__) {

	// 19.1.2.14 Object.keys(O)
	var toObject = __webpack_require__(39);
	var $keys = __webpack_require__(21);

	__webpack_require__(40)('keys', function () {
	  return function keys(it) {
	    return $keys(toObject(it));
	  };
	});


/***/ }),
/* 39 */
/***/ (function(module, exports, __webpack_require__) {

	// 7.1.13 ToObject(argument)
	var defined = __webpack_require__(26);
	module.exports = function (it) {
	  return Object(defined(it));
	};


/***/ }),
/* 40 */
/***/ (function(module, exports, __webpack_require__) {

	// most Object methods by ES6 should accept primitives
	var $export = __webpack_require__(4);
	var core = __webpack_require__(6);
	var fails = __webpack_require__(15);
	module.exports = function (KEY, exec) {
	  var fn = (core.Object || {})[KEY] || Object[KEY];
	  var exp = {};
	  exp[KEY] = exec(fn);
	  $export($export.S + $export.F * fails(function () { fn(1); }), 'Object', exp);
	};


/***/ }),
/* 41 */
/***/ (function(module, exports, __webpack_require__) {

	"use strict";

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _regenerator = __webpack_require__(42);

	var _regenerator2 = _interopRequireDefault(_regenerator);

	var _promise = __webpack_require__(45);

	var _promise2 = _interopRequireDefault(_promise);

	var _asyncToGenerator2 = __webpack_require__(84);

	var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

	var _classCallCheck2 = __webpack_require__(85);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _createClass2 = __webpack_require__(86);

	var _createClass3 = _interopRequireDefault(_createClass2);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	/**
	 * Plugin main class
	 */
	var AnalyticsPlugin = function () {
	  function AnalyticsPlugin(modulesEnabled) {
	    (0, _classCallCheck3.default)(this, AnalyticsPlugin);

	    this.modulesEnabled = modulesEnabled;
	  }

	  /**
	   * Dispatch a view analytics event
	   *
	   * params object should contain
	   * @param viewName
	   */


	  (0, _createClass3.default)(AnalyticsPlugin, [{
	    key: "trackView",
	    value: function trackView() {
	      var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
	      var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

	      if (!params.viewName) {
	        return;
	      }

	      this.modulesEnabled.forEach(function (module) {
	        if (excludedModules.indexOf(module.name) === -1) {
	          module.trackView(params);
	        }
	      });
	    }

	    /**
	     * Dispatch a tracking analytics event
	     *
	     * params object should contain
	     * @param category
	     * @param action
	     * @param label
	     * @param value
	     */

	  }, {
	    key: "trackEvent",
	    value: function trackEvent() {
	      var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
	      var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

	      if (window.location.href.indexOf("demo-application") > -1) return false;
	      this.modulesEnabled.forEach(function (module) {
	        if (excludedModules.indexOf(module.name) === -1) {
	          module.trackEvent(params);
	        }
	      });
	    }

	    /**
	     * Dispatch a tracking analytics event
	     *
	     * params object should contain
	     * @param product
	     * @param productActionType
	     * @param attributes
	     */

	  }, {
	    key: "ecommerceTrackEvent",
	    value: function ecommerceTrackEvent() {
	      var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
	      var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

	      this.modulesEnabled.forEach(function (module) {
	        if (excludedModules.indexOf(module.name) === -1) {
	          module.ecommerceTrackEvent(params);
	        }
	      });
	    }

	    /**
	     * Track an exception that occurred in the application.
	     *
	     * The params object should contain
	     * @param {string} description - Something describing the error (max. 150 Bytes)
	     * @param {boolean} isFatal - Specifies whether the exception was fatal
	     */

	  }, {
	    key: "trackException",
	    value: function trackException() {
	      var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
	      var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

	      this.modulesEnabled.forEach(function (module) {
	        if (excludedModules.indexOf(module.name) === -1) {
	          module.trackException(params);
	        }
	      });
	    }

	    /**
	     * Track an user timing to measure periods of time.
	     *
	     *  The params object should contain
	     * @param {string} timingCategory - A string for categorizing all user timing variables into logical groups (e.g. 'JS Dependencies').
	     * @param {string} timingVar -  A string to identify the variable being recorded (e.g. 'load').
	     * @param {number} timingValue - The number of milliseconds in elapsed time to report to Google Analytics (e.g. 20).
	     * @param {string|null} timingLabel -  A string that can be used to add flexibility in visualizing user timings in the reports (e.g. 'Google CDN').
	     */

	  }, {
	    key: "trackTiming",
	    value: function trackTiming() {
	      var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
	      var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

	      this.modulesEnabled.forEach(function (module) {
	        if (excludedModules.indexOf(module.name) === -1) {
	          module.trackTiming(params);
	        }
	      });
	    }

	    /**
	     * Ecommerce transactions.
	     * @param {long} id - Transaction ID. Required
	     * @param {string} affiliation -  Affiliation or store name
	     * @param {float} revenue - Grand Total
	     * @param {flat} shipping -  Shipping
	     * @param {float} tax - Tax
	     * @param {string} currency - Currency - https://developers.google.com/analytics/devguides/platform/features/currencies
	     */

	  }, {
	    key: "addTransaction",
	    value: function addTransaction() {
	      var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
	      var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

	      this.modulesEnabled.forEach(function (module) {
	        if (excludedModules.indexOf(module.name) === -1) {
	          module.addTransaction(params);
	        }
	      });
	    }

	    /**
	     * Ecommerce transactions.
	     * @param {long} id - Transaction ID. Required
	     * @param {string} name -  Product name. Required.
	     * @param {string} sku - SKU/code.
	     * @param {string} category -  Category or variation.
	     * @param {float} price - Unit price.
	     * @param {int} quantity - Quantity
	     */

	  }, {
	    key: "addItem",
	    value: function addItem() {
	      var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
	      var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

	      this.modulesEnabled.forEach(function (module) {
	        if (excludedModules.indexOf(module.name) === -1) {
	          module.addItem(params);
	        }
	      });
	    }

	    /**
	     * Ecommerce track a transaction.
	     */

	  }, {
	    key: "trackTransaction",
	    value: function trackTransaction() {
	      var excludedModules = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

	      this.modulesEnabled.forEach(function (module) {
	        if (excludedModules.indexOf(module.name) === -1) {
	          module.trackTransaction();
	        }
	      });
	    }

	    /**
	     * Ecommerce clear a transaction.
	     */

	  }, {
	    key: "clearTransactions",
	    value: function clearTransactions() {
	      var excludedModules = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

	      this.modulesEnabled.forEach(function (module) {
	        if (excludedModules.indexOf(module.name) === -1) {
	          module.clearTransactions();
	        }
	      });
	    }

	    /**
	     * Set the username.
	     *
	     * @param {string} name - The username
	     */

	  }, {
	    key: "setUsername",
	    value: function setUsername(name) {
	      var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

	      this.modulesEnabled.forEach(function (module) {
	        if (excludedModules.indexOf(module.name) === -1) {
	          module.setUsername(name);
	        }
	      });
	    }

	    /**
	     * Set some user properties.
	     *
	     * @param {any} properties - The user properties
	     */

	  }, {
	    key: "setUserProperties",
	    value: function () {
	      var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
	        var properties = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
	        var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
	        var modulesToExecute, response;
	        return _regenerator2.default.wrap(function _callee$(_context) {
	          while (1) {
	            switch (_context.prev = _context.next) {
	              case 0:
	                modulesToExecute = this.modulesEnabled.filter(function (moduleToCheck) {
	                  return excludedModules.indexOf(moduleToCheck.name) === -1;
	                });
	                _context.next = 3;
	                return _promise2.default.all(modulesToExecute.map(function (module) {
	                  return module.setUserProperties(properties);
	                }));

	              case 3:
	                response = _context.sent;
	                return _context.abrupt("return", response);

	              case 5:
	              case "end":
	                return _context.stop();
	            }
	          }
	        }, _callee, this);
	      }));

	      function setUserProperties() {
	        return _ref.apply(this, arguments);
	      }

	      return setUserProperties;
	    }()

	    /**
	     * Set some user properties once.
	     *
	     * @param {any} properties - The user properties once
	     */

	  }, {
	    key: "setUserPropertiesOnce",
	    value: function () {
	      var _ref2 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2() {
	        var properties = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
	        var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
	        var modulesToExecute, response;
	        return _regenerator2.default.wrap(function _callee2$(_context2) {
	          while (1) {
	            switch (_context2.prev = _context2.next) {
	              case 0:
	                modulesToExecute = this.modulesEnabled.filter(function (moduleToCheck) {
	                  return excludedModules.indexOf(moduleToCheck.name) === -1;
	                });
	                _context2.next = 3;
	                return _promise2.default.all(modulesToExecute.map(function (module) {
	                  return module.setUserPropertiesOnce(properties);
	                }));

	              case 3:
	                response = _context2.sent;
	                return _context2.abrupt("return", response);

	              case 5:
	              case "end":
	                return _context2.stop();
	            }
	          }
	        }, _callee2, this);
	      }));

	      function setUserPropertiesOnce() {
	        return _ref2.apply(this, arguments);
	      }

	      return setUserPropertiesOnce;
	    }()

	    /**
	     * Set some user properties once.
	     *
	     * @param {any} properties - The some properties that will be sent in all the events if supported
	     */

	  }, {
	    key: "setSuperProperties",
	    value: function setSuperProperties() {
	      var properties = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
	      var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

	      this.modulesEnabled.forEach(function (module) {
	        if (excludedModules.indexOf(module.name) === -1) {
	          module.setSuperProperties(properties);
	        }
	      });
	    }

	    /**
	     * Set some user properties.
	     *
	     * @param {any} properties - The some properties that will be sent in the next event
	     */

	  }, {
	    key: "setSuperPropertiesOnce",
	    value: function setSuperPropertiesOnce() {
	      var properties = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
	      var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

	      this.modulesEnabled.forEach(function (module) {
	        if (excludedModules.indexOf(module.name) === -1) {
	          module.setSuperPropertiesOnce(properties);
	        }
	      });
	    }

	    /**
	     * Identify the user
	     *
	     * @param {string} userId - The unique ID of the user
	     * @param {object} options - Options to add
	     */

	  }, {
	    key: "identify",
	    value: function () {
	      var _ref3 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee3() {
	        var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
	        var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
	        var modulesToExecute, response;
	        return _regenerator2.default.wrap(function _callee3$(_context3) {
	          while (1) {
	            switch (_context3.prev = _context3.next) {
	              case 0:
	                modulesToExecute = this.modulesEnabled.filter(function (moduleToCheck) {
	                  return excludedModules.indexOf(moduleToCheck.name) === -1;
	                });
	                _context3.next = 3;
	                return _promise2.default.all(modulesToExecute.map(function (module) {
	                  return module.identify(params);
	                }));

	              case 3:
	                response = _context3.sent;
	                return _context3.abrupt("return", response);

	              case 5:
	              case "end":
	                return _context3.stop();
	            }
	          }
	        }, _callee3, this);
	      }));

	      function identify() {
	        return _ref3.apply(this, arguments);
	      }

	      return identify;
	    }()

	    /**
	     * Set an alias for the current instance
	     *
	     * @param {string} alias - The alias to be set
	     */

	  }, {
	    key: "setAlias",
	    value: function setAlias(alias) {
	      var excludedModules = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

	      this.modulesEnabled.forEach(function (module) {
	        if (excludedModules.indexOf(module.name) === -1) {
	          module.setAlias(alias);
	        }
	      });
	    }

	    /**
	     * Resets the id & clears cache
	     *
	     */

	  }, {
	    key: "reset",
	    value: function () {
	      var _ref4 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee4() {
	        var excludedModules = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
	        var modulesToExecute, response;
	        return _regenerator2.default.wrap(function _callee4$(_context4) {
	          while (1) {
	            switch (_context4.prev = _context4.next) {
	              case 0:
	                modulesToExecute = this.modulesEnabled.filter(function (moduleToCheck) {
	                  return excludedModules.indexOf(moduleToCheck.name) === -1;
	                });
	                _context4.next = 3;
	                return _promise2.default.all(modulesToExecute.map(function (module) {
	                  return module.reset();
	                }));

	              case 3:
	                response = _context4.sent;
	                return _context4.abrupt("return", response);

	              case 5:
	              case "end":
	                return _context4.stop();
	            }
	          }
	        }, _callee4, this);
	      }));

	      function reset() {
	        return _ref4.apply(this, arguments);
	      }

	      return reset;
	    }()
	  }]);
	  return AnalyticsPlugin;
	}();

	exports.default = AnalyticsPlugin;

/***/ }),
/* 42 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(43);


/***/ }),
/* 43 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * Copyright (c) 2014-present, Facebook, Inc.
	 *
	 * This source code is licensed under the MIT license found in the
	 * LICENSE file in the root directory of this source tree.
	 */

	// This method of obtaining a reference to the global object needs to be
	// kept identical to the way it is obtained in runtime.js
	var g = (function() { return this })() || Function("return this")();

	// Use `getOwnPropertyNames` because not all browsers support calling
	// `hasOwnProperty` on the global `self` object in a worker. See #183.
	var hadRuntime = g.regeneratorRuntime &&
	  Object.getOwnPropertyNames(g).indexOf("regeneratorRuntime") >= 0;

	// Save the old regeneratorRuntime in case it needs to be restored later.
	var oldRuntime = hadRuntime && g.regeneratorRuntime;

	// Force reevalutation of runtime.js.
	g.regeneratorRuntime = undefined;

	module.exports = __webpack_require__(44);

	if (hadRuntime) {
	  // Restore the original runtime.
	  g.regeneratorRuntime = oldRuntime;
	} else {
	  // Remove the global property added by runtime.js.
	  try {
	    delete g.regeneratorRuntime;
	  } catch(e) {
	    g.regeneratorRuntime = undefined;
	  }
	}


/***/ }),
/* 44 */
/***/ (function(module, exports) {

	/**
	 * Copyright (c) 2014-present, Facebook, Inc.
	 *
	 * This source code is licensed under the MIT license found in the
	 * LICENSE file in the root directory of this source tree.
	 */

	!(function(global) {
	  "use strict";

	  var Op = Object.prototype;
	  var hasOwn = Op.hasOwnProperty;
	  var undefined; // More compressible than void 0.
	  var $Symbol = typeof Symbol === "function" ? Symbol : {};
	  var iteratorSymbol = $Symbol.iterator || "@@iterator";
	  var asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator";
	  var toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

	  var inModule = typeof module === "object";
	  var runtime = global.regeneratorRuntime;
	  if (runtime) {
	    if (inModule) {
	      // If regeneratorRuntime is defined globally and we're in a module,
	      // make the exports object identical to regeneratorRuntime.
	      module.exports = runtime;
	    }
	    // Don't bother evaluating the rest of this file if the runtime was
	    // already defined globally.
	    return;
	  }

	  // Define the runtime globally (as expected by generated code) as either
	  // module.exports (if we're in a module) or a new, empty object.
	  runtime = global.regeneratorRuntime = inModule ? module.exports : {};

	  function wrap(innerFn, outerFn, self, tryLocsList) {
	    // If outerFn provided and outerFn.prototype is a Generator, then outerFn.prototype instanceof Generator.
	    var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator;
	    var generator = Object.create(protoGenerator.prototype);
	    var context = new Context(tryLocsList || []);

	    // The ._invoke method unifies the implementations of the .next,
	    // .throw, and .return methods.
	    generator._invoke = makeInvokeMethod(innerFn, self, context);

	    return generator;
	  }
	  runtime.wrap = wrap;

	  // Try/catch helper to minimize deoptimizations. Returns a completion
	  // record like context.tryEntries[i].completion. This interface could
	  // have been (and was previously) designed to take a closure to be
	  // invoked without arguments, but in all the cases we care about we
	  // already have an existing method we want to call, so there's no need
	  // to create a new function object. We can even get away with assuming
	  // the method takes exactly one argument, since that happens to be true
	  // in every case, so we don't have to touch the arguments object. The
	  // only additional allocation required is the completion record, which
	  // has a stable shape and so hopefully should be cheap to allocate.
	  function tryCatch(fn, obj, arg) {
	    try {
	      return { type: "normal", arg: fn.call(obj, arg) };
	    } catch (err) {
	      return { type: "throw", arg: err };
	    }
	  }

	  var GenStateSuspendedStart = "suspendedStart";
	  var GenStateSuspendedYield = "suspendedYield";
	  var GenStateExecuting = "executing";
	  var GenStateCompleted = "completed";

	  // Returning this object from the innerFn has the same effect as
	  // breaking out of the dispatch switch statement.
	  var ContinueSentinel = {};

	  // Dummy constructor functions that we use as the .constructor and
	  // .constructor.prototype properties for functions that return Generator
	  // objects. For full spec compliance, you may wish to configure your
	  // minifier not to mangle the names of these two functions.
	  function Generator() {}
	  function GeneratorFunction() {}
	  function GeneratorFunctionPrototype() {}

	  // This is a polyfill for %IteratorPrototype% for environments that
	  // don't natively support it.
	  var IteratorPrototype = {};
	  IteratorPrototype[iteratorSymbol] = function () {
	    return this;
	  };

	  var getProto = Object.getPrototypeOf;
	  var NativeIteratorPrototype = getProto && getProto(getProto(values([])));
	  if (NativeIteratorPrototype &&
	      NativeIteratorPrototype !== Op &&
	      hasOwn.call(NativeIteratorPrototype, iteratorSymbol)) {
	    // This environment has a native %IteratorPrototype%; use it instead
	    // of the polyfill.
	    IteratorPrototype = NativeIteratorPrototype;
	  }

	  var Gp = GeneratorFunctionPrototype.prototype =
	    Generator.prototype = Object.create(IteratorPrototype);
	  GeneratorFunction.prototype = Gp.constructor = GeneratorFunctionPrototype;
	  GeneratorFunctionPrototype.constructor = GeneratorFunction;
	  GeneratorFunctionPrototype[toStringTagSymbol] =
	    GeneratorFunction.displayName = "GeneratorFunction";

	  // Helper for defining the .next, .throw, and .return methods of the
	  // Iterator interface in terms of a single ._invoke method.
	  function defineIteratorMethods(prototype) {
	    ["next", "throw", "return"].forEach(function(method) {
	      prototype[method] = function(arg) {
	        return this._invoke(method, arg);
	      };
	    });
	  }

	  runtime.isGeneratorFunction = function(genFun) {
	    var ctor = typeof genFun === "function" && genFun.constructor;
	    return ctor
	      ? ctor === GeneratorFunction ||
	        // For the native GeneratorFunction constructor, the best we can
	        // do is to check its .name property.
	        (ctor.displayName || ctor.name) === "GeneratorFunction"
	      : false;
	  };

	  runtime.mark = function(genFun) {
	    if (Object.setPrototypeOf) {
	      Object.setPrototypeOf(genFun, GeneratorFunctionPrototype);
	    } else {
	      genFun.__proto__ = GeneratorFunctionPrototype;
	      if (!(toStringTagSymbol in genFun)) {
	        genFun[toStringTagSymbol] = "GeneratorFunction";
	      }
	    }
	    genFun.prototype = Object.create(Gp);
	    return genFun;
	  };

	  // Within the body of any async function, `await x` is transformed to
	  // `yield regeneratorRuntime.awrap(x)`, so that the runtime can test
	  // `hasOwn.call(value, "__await")` to determine if the yielded value is
	  // meant to be awaited.
	  runtime.awrap = function(arg) {
	    return { __await: arg };
	  };

	  function AsyncIterator(generator) {
	    function invoke(method, arg, resolve, reject) {
	      var record = tryCatch(generator[method], generator, arg);
	      if (record.type === "throw") {
	        reject(record.arg);
	      } else {
	        var result = record.arg;
	        var value = result.value;
	        if (value &&
	            typeof value === "object" &&
	            hasOwn.call(value, "__await")) {
	          return Promise.resolve(value.__await).then(function(value) {
	            invoke("next", value, resolve, reject);
	          }, function(err) {
	            invoke("throw", err, resolve, reject);
	          });
	        }

	        return Promise.resolve(value).then(function(unwrapped) {
	          // When a yielded Promise is resolved, its final value becomes
	          // the .value of the Promise<{value,done}> result for the
	          // current iteration. If the Promise is rejected, however, the
	          // result for this iteration will be rejected with the same
	          // reason. Note that rejections of yielded Promises are not
	          // thrown back into the generator function, as is the case
	          // when an awaited Promise is rejected. This difference in
	          // behavior between yield and await is important, because it
	          // allows the consumer to decide what to do with the yielded
	          // rejection (swallow it and continue, manually .throw it back
	          // into the generator, abandon iteration, whatever). With
	          // await, by contrast, there is no opportunity to examine the
	          // rejection reason outside the generator function, so the
	          // only option is to throw it from the await expression, and
	          // let the generator function handle the exception.
	          result.value = unwrapped;
	          resolve(result);
	        }, reject);
	      }
	    }

	    var previousPromise;

	    function enqueue(method, arg) {
	      function callInvokeWithMethodAndArg() {
	        return new Promise(function(resolve, reject) {
	          invoke(method, arg, resolve, reject);
	        });
	      }

	      return previousPromise =
	        // If enqueue has been called before, then we want to wait until
	        // all previous Promises have been resolved before calling invoke,
	        // so that results are always delivered in the correct order. If
	        // enqueue has not been called before, then it is important to
	        // call invoke immediately, without waiting on a callback to fire,
	        // so that the async generator function has the opportunity to do
	        // any necessary setup in a predictable way. This predictability
	        // is why the Promise constructor synchronously invokes its
	        // executor callback, and why async functions synchronously
	        // execute code before the first await. Since we implement simple
	        // async functions in terms of async generators, it is especially
	        // important to get this right, even though it requires care.
	        previousPromise ? previousPromise.then(
	          callInvokeWithMethodAndArg,
	          // Avoid propagating failures to Promises returned by later
	          // invocations of the iterator.
	          callInvokeWithMethodAndArg
	        ) : callInvokeWithMethodAndArg();
	    }

	    // Define the unified helper method that is used to implement .next,
	    // .throw, and .return (see defineIteratorMethods).
	    this._invoke = enqueue;
	  }

	  defineIteratorMethods(AsyncIterator.prototype);
	  AsyncIterator.prototype[asyncIteratorSymbol] = function () {
	    return this;
	  };
	  runtime.AsyncIterator = AsyncIterator;

	  // Note that simple async functions are implemented on top of
	  // AsyncIterator objects; they just return a Promise for the value of
	  // the final result produced by the iterator.
	  runtime.async = function(innerFn, outerFn, self, tryLocsList) {
	    var iter = new AsyncIterator(
	      wrap(innerFn, outerFn, self, tryLocsList)
	    );

	    return runtime.isGeneratorFunction(outerFn)
	      ? iter // If outerFn is a generator, return the full iterator.
	      : iter.next().then(function(result) {
	          return result.done ? result.value : iter.next();
	        });
	  };

	  function makeInvokeMethod(innerFn, self, context) {
	    var state = GenStateSuspendedStart;

	    return function invoke(method, arg) {
	      if (state === GenStateExecuting) {
	        throw new Error("Generator is already running");
	      }

	      if (state === GenStateCompleted) {
	        if (method === "throw") {
	          throw arg;
	        }

	        // Be forgiving, per 25.3.3.3.3 of the spec:
	        // https://people.mozilla.org/~jorendorff/es6-draft.html#sec-generatorresume
	        return doneResult();
	      }

	      context.method = method;
	      context.arg = arg;

	      while (true) {
	        var delegate = context.delegate;
	        if (delegate) {
	          var delegateResult = maybeInvokeDelegate(delegate, context);
	          if (delegateResult) {
	            if (delegateResult === ContinueSentinel) continue;
	            return delegateResult;
	          }
	        }

	        if (context.method === "next") {
	          // Setting context._sent for legacy support of Babel's
	          // function.sent implementation.
	          context.sent = context._sent = context.arg;

	        } else if (context.method === "throw") {
	          if (state === GenStateSuspendedStart) {
	            state = GenStateCompleted;
	            throw context.arg;
	          }

	          context.dispatchException(context.arg);

	        } else if (context.method === "return") {
	          context.abrupt("return", context.arg);
	        }

	        state = GenStateExecuting;

	        var record = tryCatch(innerFn, self, context);
	        if (record.type === "normal") {
	          // If an exception is thrown from innerFn, we leave state ===
	          // GenStateExecuting and loop back for another invocation.
	          state = context.done
	            ? GenStateCompleted
	            : GenStateSuspendedYield;

	          if (record.arg === ContinueSentinel) {
	            continue;
	          }

	          return {
	            value: record.arg,
	            done: context.done
	          };

	        } else if (record.type === "throw") {
	          state = GenStateCompleted;
	          // Dispatch the exception by looping back around to the
	          // context.dispatchException(context.arg) call above.
	          context.method = "throw";
	          context.arg = record.arg;
	        }
	      }
	    };
	  }

	  // Call delegate.iterator[context.method](context.arg) and handle the
	  // result, either by returning a { value, done } result from the
	  // delegate iterator, or by modifying context.method and context.arg,
	  // setting context.delegate to null, and returning the ContinueSentinel.
	  function maybeInvokeDelegate(delegate, context) {
	    var method = delegate.iterator[context.method];
	    if (method === undefined) {
	      // A .throw or .return when the delegate iterator has no .throw
	      // method always terminates the yield* loop.
	      context.delegate = null;

	      if (context.method === "throw") {
	        if (delegate.iterator.return) {
	          // If the delegate iterator has a return method, give it a
	          // chance to clean up.
	          context.method = "return";
	          context.arg = undefined;
	          maybeInvokeDelegate(delegate, context);

	          if (context.method === "throw") {
	            // If maybeInvokeDelegate(context) changed context.method from
	            // "return" to "throw", let that override the TypeError below.
	            return ContinueSentinel;
	          }
	        }

	        context.method = "throw";
	        context.arg = new TypeError(
	          "The iterator does not provide a 'throw' method");
	      }

	      return ContinueSentinel;
	    }

	    var record = tryCatch(method, delegate.iterator, context.arg);

	    if (record.type === "throw") {
	      context.method = "throw";
	      context.arg = record.arg;
	      context.delegate = null;
	      return ContinueSentinel;
	    }

	    var info = record.arg;

	    if (! info) {
	      context.method = "throw";
	      context.arg = new TypeError("iterator result is not an object");
	      context.delegate = null;
	      return ContinueSentinel;
	    }

	    if (info.done) {
	      // Assign the result of the finished delegate to the temporary
	      // variable specified by delegate.resultName (see delegateYield).
	      context[delegate.resultName] = info.value;

	      // Resume execution at the desired location (see delegateYield).
	      context.next = delegate.nextLoc;

	      // If context.method was "throw" but the delegate handled the
	      // exception, let the outer generator proceed normally. If
	      // context.method was "next", forget context.arg since it has been
	      // "consumed" by the delegate iterator. If context.method was
	      // "return", allow the original .return call to continue in the
	      // outer generator.
	      if (context.method !== "return") {
	        context.method = "next";
	        context.arg = undefined;
	      }

	    } else {
	      // Re-yield the result returned by the delegate method.
	      return info;
	    }

	    // The delegate iterator is finished, so forget it and continue with
	    // the outer generator.
	    context.delegate = null;
	    return ContinueSentinel;
	  }

	  // Define Generator.prototype.{next,throw,return} in terms of the
	  // unified ._invoke helper method.
	  defineIteratorMethods(Gp);

	  Gp[toStringTagSymbol] = "Generator";

	  // A Generator should always return itself as the iterator object when the
	  // @@iterator function is called on it. Some browsers' implementations of the
	  // iterator prototype chain incorrectly implement this, causing the Generator
	  // object to not be returned from this call. This ensures that doesn't happen.
	  // See https://github.com/facebook/regenerator/issues/274 for more details.
	  Gp[iteratorSymbol] = function() {
	    return this;
	  };

	  Gp.toString = function() {
	    return "[object Generator]";
	  };

	  function pushTryEntry(locs) {
	    var entry = { tryLoc: locs[0] };

	    if (1 in locs) {
	      entry.catchLoc = locs[1];
	    }

	    if (2 in locs) {
	      entry.finallyLoc = locs[2];
	      entry.afterLoc = locs[3];
	    }

	    this.tryEntries.push(entry);
	  }

	  function resetTryEntry(entry) {
	    var record = entry.completion || {};
	    record.type = "normal";
	    delete record.arg;
	    entry.completion = record;
	  }

	  function Context(tryLocsList) {
	    // The root entry object (effectively a try statement without a catch
	    // or a finally block) gives us a place to store values thrown from
	    // locations where there is no enclosing try statement.
	    this.tryEntries = [{ tryLoc: "root" }];
	    tryLocsList.forEach(pushTryEntry, this);
	    this.reset(true);
	  }

	  runtime.keys = function(object) {
	    var keys = [];
	    for (var key in object) {
	      keys.push(key);
	    }
	    keys.reverse();

	    // Rather than returning an object with a next method, we keep
	    // things simple and return the next function itself.
	    return function next() {
	      while (keys.length) {
	        var key = keys.pop();
	        if (key in object) {
	          next.value = key;
	          next.done = false;
	          return next;
	        }
	      }

	      // To avoid creating an additional object, we just hang the .value
	      // and .done properties off the next function object itself. This
	      // also ensures that the minifier will not anonymize the function.
	      next.done = true;
	      return next;
	    };
	  };

	  function values(iterable) {
	    if (iterable) {
	      var iteratorMethod = iterable[iteratorSymbol];
	      if (iteratorMethod) {
	        return iteratorMethod.call(iterable);
	      }

	      if (typeof iterable.next === "function") {
	        return iterable;
	      }

	      if (!isNaN(iterable.length)) {
	        var i = -1, next = function next() {
	          while (++i < iterable.length) {
	            if (hasOwn.call(iterable, i)) {
	              next.value = iterable[i];
	              next.done = false;
	              return next;
	            }
	          }

	          next.value = undefined;
	          next.done = true;

	          return next;
	        };

	        return next.next = next;
	      }
	    }

	    // Return an iterator with no values.
	    return { next: doneResult };
	  }
	  runtime.values = values;

	  function doneResult() {
	    return { value: undefined, done: true };
	  }

	  Context.prototype = {
	    constructor: Context,

	    reset: function(skipTempReset) {
	      this.prev = 0;
	      this.next = 0;
	      // Resetting context._sent for legacy support of Babel's
	      // function.sent implementation.
	      this.sent = this._sent = undefined;
	      this.done = false;
	      this.delegate = null;

	      this.method = "next";
	      this.arg = undefined;

	      this.tryEntries.forEach(resetTryEntry);

	      if (!skipTempReset) {
	        for (var name in this) {
	          // Not sure about the optimal order of these conditions:
	          if (name.charAt(0) === "t" &&
	              hasOwn.call(this, name) &&
	              !isNaN(+name.slice(1))) {
	            this[name] = undefined;
	          }
	        }
	      }
	    },

	    stop: function() {
	      this.done = true;

	      var rootEntry = this.tryEntries[0];
	      var rootRecord = rootEntry.completion;
	      if (rootRecord.type === "throw") {
	        throw rootRecord.arg;
	      }

	      return this.rval;
	    },

	    dispatchException: function(exception) {
	      if (this.done) {
	        throw exception;
	      }

	      var context = this;
	      function handle(loc, caught) {
	        record.type = "throw";
	        record.arg = exception;
	        context.next = loc;

	        if (caught) {
	          // If the dispatched exception was caught by a catch block,
	          // then let that catch block handle the exception normally.
	          context.method = "next";
	          context.arg = undefined;
	        }

	        return !! caught;
	      }

	      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
	        var entry = this.tryEntries[i];
	        var record = entry.completion;

	        if (entry.tryLoc === "root") {
	          // Exception thrown outside of any try block that could handle
	          // it, so set the completion value of the entire function to
	          // throw the exception.
	          return handle("end");
	        }

	        if (entry.tryLoc <= this.prev) {
	          var hasCatch = hasOwn.call(entry, "catchLoc");
	          var hasFinally = hasOwn.call(entry, "finallyLoc");

	          if (hasCatch && hasFinally) {
	            if (this.prev < entry.catchLoc) {
	              return handle(entry.catchLoc, true);
	            } else if (this.prev < entry.finallyLoc) {
	              return handle(entry.finallyLoc);
	            }

	          } else if (hasCatch) {
	            if (this.prev < entry.catchLoc) {
	              return handle(entry.catchLoc, true);
	            }

	          } else if (hasFinally) {
	            if (this.prev < entry.finallyLoc) {
	              return handle(entry.finallyLoc);
	            }

	          } else {
	            throw new Error("try statement without catch or finally");
	          }
	        }
	      }
	    },

	    abrupt: function(type, arg) {
	      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
	        var entry = this.tryEntries[i];
	        if (entry.tryLoc <= this.prev &&
	            hasOwn.call(entry, "finallyLoc") &&
	            this.prev < entry.finallyLoc) {
	          var finallyEntry = entry;
	          break;
	        }
	      }

	      if (finallyEntry &&
	          (type === "break" ||
	           type === "continue") &&
	          finallyEntry.tryLoc <= arg &&
	          arg <= finallyEntry.finallyLoc) {
	        // Ignore the finally entry if control is not jumping to a
	        // location outside the try/catch block.
	        finallyEntry = null;
	      }

	      var record = finallyEntry ? finallyEntry.completion : {};
	      record.type = type;
	      record.arg = arg;

	      if (finallyEntry) {
	        this.method = "next";
	        this.next = finallyEntry.finallyLoc;
	        return ContinueSentinel;
	      }

	      return this.complete(record);
	    },

	    complete: function(record, afterLoc) {
	      if (record.type === "throw") {
	        throw record.arg;
	      }

	      if (record.type === "break" ||
	          record.type === "continue") {
	        this.next = record.arg;
	      } else if (record.type === "return") {
	        this.rval = this.arg = record.arg;
	        this.method = "return";
	        this.next = "end";
	      } else if (record.type === "normal" && afterLoc) {
	        this.next = afterLoc;
	      }

	      return ContinueSentinel;
	    },

	    finish: function(finallyLoc) {
	      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
	        var entry = this.tryEntries[i];
	        if (entry.finallyLoc === finallyLoc) {
	          this.complete(entry.completion, entry.afterLoc);
	          resetTryEntry(entry);
	          return ContinueSentinel;
	        }
	      }
	    },

	    "catch": function(tryLoc) {
	      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
	        var entry = this.tryEntries[i];
	        if (entry.tryLoc === tryLoc) {
	          var record = entry.completion;
	          if (record.type === "throw") {
	            var thrown = record.arg;
	            resetTryEntry(entry);
	          }
	          return thrown;
	        }
	      }

	      // The context.catch method must only be called with a location
	      // argument that corresponds to a known catch block.
	      throw new Error("illegal catch attempt");
	    },

	    delegateYield: function(iterable, resultName, nextLoc) {
	      this.delegate = {
	        iterator: values(iterable),
	        resultName: resultName,
	        nextLoc: nextLoc
	      };

	      if (this.method === "next") {
	        // Deliberately forget the last sent value so that we don't
	        // accidentally pass it on to the delegate.
	        this.arg = undefined;
	      }

	      return ContinueSentinel;
	    }
	  };
	})(
	  // In sloppy mode, unbound `this` refers to the global object, fallback to
	  // Function constructor if we're in global strict mode. That is sadly a form
	  // of indirect eval which violates Content Security Policy.
	  (function() { return this })() || Function("return this")()
	);


/***/ }),
/* 45 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(46), __esModule: true };

/***/ }),
/* 46 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(47);
	__webpack_require__(48);
	__webpack_require__(61);
	__webpack_require__(65);
	__webpack_require__(82);
	__webpack_require__(83);
	module.exports = __webpack_require__(6).Promise;


/***/ }),
/* 47 */
/***/ (function(module, exports) {

	

/***/ }),
/* 48 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';
	var $at = __webpack_require__(49)(true);

	// 21.1.3.27 String.prototype[@@iterator]()
	__webpack_require__(50)(String, 'String', function (iterated) {
	  this._t = String(iterated); // target
	  this._i = 0;                // next index
	// 21.1.5.2.1 %StringIteratorPrototype%.next()
	}, function () {
	  var O = this._t;
	  var index = this._i;
	  var point;
	  if (index >= O.length) return { value: undefined, done: true };
	  point = $at(O, index);
	  this._i += point.length;
	  return { value: point, done: false };
	});


/***/ }),
/* 49 */
/***/ (function(module, exports, __webpack_require__) {

	var toInteger = __webpack_require__(29);
	var defined = __webpack_require__(26);
	// true  -> String#at
	// false -> String#codePointAt
	module.exports = function (TO_STRING) {
	  return function (that, pos) {
	    var s = String(defined(that));
	    var i = toInteger(pos);
	    var l = s.length;
	    var a, b;
	    if (i < 0 || i >= l) return TO_STRING ? '' : undefined;
	    a = s.charCodeAt(i);
	    return a < 0xd800 || a > 0xdbff || i + 1 === l || (b = s.charCodeAt(i + 1)) < 0xdc00 || b > 0xdfff
	      ? TO_STRING ? s.charAt(i) : a
	      : TO_STRING ? s.slice(i, i + 2) : (a - 0xd800 << 10) + (b - 0xdc00) + 0x10000;
	  };
	};


/***/ }),
/* 50 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';
	var LIBRARY = __webpack_require__(51);
	var $export = __webpack_require__(4);
	var redefine = __webpack_require__(52);
	var hide = __webpack_require__(9);
	var Iterators = __webpack_require__(53);
	var $iterCreate = __webpack_require__(54);
	var setToStringTag = __webpack_require__(58);
	var getPrototypeOf = __webpack_require__(60);
	var ITERATOR = __webpack_require__(59)('iterator');
	var BUGGY = !([].keys && 'next' in [].keys()); // Safari has buggy iterators w/o `next`
	var FF_ITERATOR = '@@iterator';
	var KEYS = 'keys';
	var VALUES = 'values';

	var returnThis = function () { return this; };

	module.exports = function (Base, NAME, Constructor, next, DEFAULT, IS_SET, FORCED) {
	  $iterCreate(Constructor, NAME, next);
	  var getMethod = function (kind) {
	    if (!BUGGY && kind in proto) return proto[kind];
	    switch (kind) {
	      case KEYS: return function keys() { return new Constructor(this, kind); };
	      case VALUES: return function values() { return new Constructor(this, kind); };
	    } return function entries() { return new Constructor(this, kind); };
	  };
	  var TAG = NAME + ' Iterator';
	  var DEF_VALUES = DEFAULT == VALUES;
	  var VALUES_BUG = false;
	  var proto = Base.prototype;
	  var $native = proto[ITERATOR] || proto[FF_ITERATOR] || DEFAULT && proto[DEFAULT];
	  var $default = $native || getMethod(DEFAULT);
	  var $entries = DEFAULT ? !DEF_VALUES ? $default : getMethod('entries') : undefined;
	  var $anyNative = NAME == 'Array' ? proto.entries || $native : $native;
	  var methods, key, IteratorPrototype;
	  // Fix native
	  if ($anyNative) {
	    IteratorPrototype = getPrototypeOf($anyNative.call(new Base()));
	    if (IteratorPrototype !== Object.prototype && IteratorPrototype.next) {
	      // Set @@toStringTag to native iterators
	      setToStringTag(IteratorPrototype, TAG, true);
	      // fix for some old engines
	      if (!LIBRARY && typeof IteratorPrototype[ITERATOR] != 'function') hide(IteratorPrototype, ITERATOR, returnThis);
	    }
	  }
	  // fix Array#{values, @@iterator}.name in V8 / FF
	  if (DEF_VALUES && $native && $native.name !== VALUES) {
	    VALUES_BUG = true;
	    $default = function values() { return $native.call(this); };
	  }
	  // Define iterator
	  if ((!LIBRARY || FORCED) && (BUGGY || VALUES_BUG || !proto[ITERATOR])) {
	    hide(proto, ITERATOR, $default);
	  }
	  // Plug for library
	  Iterators[NAME] = $default;
	  Iterators[TAG] = returnThis;
	  if (DEFAULT) {
	    methods = {
	      values: DEF_VALUES ? $default : getMethod(VALUES),
	      keys: IS_SET ? $default : getMethod(KEYS),
	      entries: $entries
	    };
	    if (FORCED) for (key in methods) {
	      if (!(key in proto)) redefine(proto, key, methods[key]);
	    } else $export($export.P + $export.F * (BUGGY || VALUES_BUG), NAME, methods);
	  }
	  return methods;
	};


/***/ }),
/* 51 */
/***/ (function(module, exports) {

	module.exports = true;


/***/ }),
/* 52 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(9);


/***/ }),
/* 53 */
/***/ (function(module, exports) {

	module.exports = {};


/***/ }),
/* 54 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';
	var create = __webpack_require__(55);
	var descriptor = __webpack_require__(18);
	var setToStringTag = __webpack_require__(58);
	var IteratorPrototype = {};

	// 25.1.2.1.1 %IteratorPrototype%[@@iterator]()
	__webpack_require__(9)(IteratorPrototype, __webpack_require__(59)('iterator'), function () { return this; });

	module.exports = function (Constructor, NAME, next) {
	  Constructor.prototype = create(IteratorPrototype, { next: descriptor(1, next) });
	  setToStringTag(Constructor, NAME + ' Iterator');
	};


/***/ }),
/* 55 */
/***/ (function(module, exports, __webpack_require__) {

	// 19.1.2.2 / 15.2.3.5 Object.create(O [, Properties])
	var anObject = __webpack_require__(11);
	var dPs = __webpack_require__(56);
	var enumBugKeys = __webpack_require__(34);
	var IE_PROTO = __webpack_require__(31)('IE_PROTO');
	var Empty = function () { /* empty */ };
	var PROTOTYPE = 'prototype';

	// Create object with fake `null` prototype: use iframe Object with cleared prototype
	var createDict = function () {
	  // Thrash, waste and sodomy: IE GC bug
	  var iframe = __webpack_require__(16)('iframe');
	  var i = enumBugKeys.length;
	  var lt = '<';
	  var gt = '>';
	  var iframeDocument;
	  iframe.style.display = 'none';
	  __webpack_require__(57).appendChild(iframe);
	  iframe.src = 'javascript:'; // eslint-disable-line no-script-url
	  // createDict = iframe.contentWindow.Object;
	  // html.removeChild(iframe);
	  iframeDocument = iframe.contentWindow.document;
	  iframeDocument.open();
	  iframeDocument.write(lt + 'script' + gt + 'document.F=Object' + lt + '/script' + gt);
	  iframeDocument.close();
	  createDict = iframeDocument.F;
	  while (i--) delete createDict[PROTOTYPE][enumBugKeys[i]];
	  return createDict();
	};

	module.exports = Object.create || function create(O, Properties) {
	  var result;
	  if (O !== null) {
	    Empty[PROTOTYPE] = anObject(O);
	    result = new Empty();
	    Empty[PROTOTYPE] = null;
	    // add "__proto__" for Object.getPrototypeOf polyfill
	    result[IE_PROTO] = O;
	  } else result = createDict();
	  return Properties === undefined ? result : dPs(result, Properties);
	};


/***/ }),
/* 56 */
/***/ (function(module, exports, __webpack_require__) {

	var dP = __webpack_require__(10);
	var anObject = __webpack_require__(11);
	var getKeys = __webpack_require__(21);

	module.exports = __webpack_require__(14) ? Object.defineProperties : function defineProperties(O, Properties) {
	  anObject(O);
	  var keys = getKeys(Properties);
	  var length = keys.length;
	  var i = 0;
	  var P;
	  while (length > i) dP.f(O, P = keys[i++], Properties[P]);
	  return O;
	};


/***/ }),
/* 57 */
/***/ (function(module, exports, __webpack_require__) {

	var document = __webpack_require__(5).document;
	module.exports = document && document.documentElement;


/***/ }),
/* 58 */
/***/ (function(module, exports, __webpack_require__) {

	var def = __webpack_require__(10).f;
	var has = __webpack_require__(19);
	var TAG = __webpack_require__(59)('toStringTag');

	module.exports = function (it, tag, stat) {
	  if (it && !has(it = stat ? it : it.prototype, TAG)) def(it, TAG, { configurable: true, value: tag });
	};


/***/ }),
/* 59 */
/***/ (function(module, exports, __webpack_require__) {

	var store = __webpack_require__(32)('wks');
	var uid = __webpack_require__(33);
	var Symbol = __webpack_require__(5).Symbol;
	var USE_SYMBOL = typeof Symbol == 'function';

	var $exports = module.exports = function (name) {
	  return store[name] || (store[name] =
	    USE_SYMBOL && Symbol[name] || (USE_SYMBOL ? Symbol : uid)('Symbol.' + name));
	};

	$exports.store = store;


/***/ }),
/* 60 */
/***/ (function(module, exports, __webpack_require__) {

	// 19.1.2.9 / 15.2.3.2 Object.getPrototypeOf(O)
	var has = __webpack_require__(19);
	var toObject = __webpack_require__(39);
	var IE_PROTO = __webpack_require__(31)('IE_PROTO');
	var ObjectProto = Object.prototype;

	module.exports = Object.getPrototypeOf || function (O) {
	  O = toObject(O);
	  if (has(O, IE_PROTO)) return O[IE_PROTO];
	  if (typeof O.constructor == 'function' && O instanceof O.constructor) {
	    return O.constructor.prototype;
	  } return O instanceof Object ? ObjectProto : null;
	};


/***/ }),
/* 61 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(62);
	var global = __webpack_require__(5);
	var hide = __webpack_require__(9);
	var Iterators = __webpack_require__(53);
	var TO_STRING_TAG = __webpack_require__(59)('toStringTag');

	var DOMIterables = ('CSSRuleList,CSSStyleDeclaration,CSSValueList,ClientRectList,DOMRectList,DOMStringList,' +
	  'DOMTokenList,DataTransferItemList,FileList,HTMLAllCollection,HTMLCollection,HTMLFormElement,HTMLSelectElement,' +
	  'MediaList,MimeTypeArray,NamedNodeMap,NodeList,PaintRequestList,Plugin,PluginArray,SVGLengthList,SVGNumberList,' +
	  'SVGPathSegList,SVGPointList,SVGStringList,SVGTransformList,SourceBufferList,StyleSheetList,TextTrackCueList,' +
	  'TextTrackList,TouchList').split(',');

	for (var i = 0; i < DOMIterables.length; i++) {
	  var NAME = DOMIterables[i];
	  var Collection = global[NAME];
	  var proto = Collection && Collection.prototype;
	  if (proto && !proto[TO_STRING_TAG]) hide(proto, TO_STRING_TAG, NAME);
	  Iterators[NAME] = Iterators.Array;
	}


/***/ }),
/* 62 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';
	var addToUnscopables = __webpack_require__(63);
	var step = __webpack_require__(64);
	var Iterators = __webpack_require__(53);
	var toIObject = __webpack_require__(23);

	// 22.1.3.4 Array.prototype.entries()
	// 22.1.3.13 Array.prototype.keys()
	// 22.1.3.29 Array.prototype.values()
	// 22.1.3.30 Array.prototype[@@iterator]()
	module.exports = __webpack_require__(50)(Array, 'Array', function (iterated, kind) {
	  this._t = toIObject(iterated); // target
	  this._i = 0;                   // next index
	  this._k = kind;                // kind
	// 22.1.5.2.1 %ArrayIteratorPrototype%.next()
	}, function () {
	  var O = this._t;
	  var kind = this._k;
	  var index = this._i++;
	  if (!O || index >= O.length) {
	    this._t = undefined;
	    return step(1);
	  }
	  if (kind == 'keys') return step(0, index);
	  if (kind == 'values') return step(0, O[index]);
	  return step(0, [index, O[index]]);
	}, 'values');

	// argumentsList[@@iterator] is %ArrayProto_values% (9.4.4.6, 9.4.4.7)
	Iterators.Arguments = Iterators.Array;

	addToUnscopables('keys');
	addToUnscopables('values');
	addToUnscopables('entries');


/***/ }),
/* 63 */
/***/ (function(module, exports) {

	module.exports = function () { /* empty */ };


/***/ }),
/* 64 */
/***/ (function(module, exports) {

	module.exports = function (done, value) {
	  return { value: value, done: !!done };
	};


/***/ }),
/* 65 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';
	var LIBRARY = __webpack_require__(51);
	var global = __webpack_require__(5);
	var ctx = __webpack_require__(7);
	var classof = __webpack_require__(66);
	var $export = __webpack_require__(4);
	var isObject = __webpack_require__(12);
	var aFunction = __webpack_require__(8);
	var anInstance = __webpack_require__(67);
	var forOf = __webpack_require__(68);
	var speciesConstructor = __webpack_require__(72);
	var task = __webpack_require__(73).set;
	var microtask = __webpack_require__(75)();
	var newPromiseCapabilityModule = __webpack_require__(76);
	var perform = __webpack_require__(77);
	var promiseResolve = __webpack_require__(78);
	var PROMISE = 'Promise';
	var TypeError = global.TypeError;
	var process = global.process;
	var $Promise = global[PROMISE];
	var isNode = classof(process) == 'process';
	var empty = function () { /* empty */ };
	var Internal, newGenericPromiseCapability, OwnPromiseCapability, Wrapper;
	var newPromiseCapability = newGenericPromiseCapability = newPromiseCapabilityModule.f;

	var USE_NATIVE = !!function () {
	  try {
	    // correct subclassing with @@species support
	    var promise = $Promise.resolve(1);
	    var FakePromise = (promise.constructor = {})[__webpack_require__(59)('species')] = function (exec) {
	      exec(empty, empty);
	    };
	    // unhandled rejections tracking support, NodeJS Promise without it fails @@species test
	    return (isNode || typeof PromiseRejectionEvent == 'function') && promise.then(empty) instanceof FakePromise;
	  } catch (e) { /* empty */ }
	}();

	// helpers
	var isThenable = function (it) {
	  var then;
	  return isObject(it) && typeof (then = it.then) == 'function' ? then : false;
	};
	var notify = function (promise, isReject) {
	  if (promise._n) return;
	  promise._n = true;
	  var chain = promise._c;
	  microtask(function () {
	    var value = promise._v;
	    var ok = promise._s == 1;
	    var i = 0;
	    var run = function (reaction) {
	      var handler = ok ? reaction.ok : reaction.fail;
	      var resolve = reaction.resolve;
	      var reject = reaction.reject;
	      var domain = reaction.domain;
	      var result, then, exited;
	      try {
	        if (handler) {
	          if (!ok) {
	            if (promise._h == 2) onHandleUnhandled(promise);
	            promise._h = 1;
	          }
	          if (handler === true) result = value;
	          else {
	            if (domain) domain.enter();
	            result = handler(value); // may throw
	            if (domain) {
	              domain.exit();
	              exited = true;
	            }
	          }
	          if (result === reaction.promise) {
	            reject(TypeError('Promise-chain cycle'));
	          } else if (then = isThenable(result)) {
	            then.call(result, resolve, reject);
	          } else resolve(result);
	        } else reject(value);
	      } catch (e) {
	        if (domain && !exited) domain.exit();
	        reject(e);
	      }
	    };
	    while (chain.length > i) run(chain[i++]); // variable length - can't use forEach
	    promise._c = [];
	    promise._n = false;
	    if (isReject && !promise._h) onUnhandled(promise);
	  });
	};
	var onUnhandled = function (promise) {
	  task.call(global, function () {
	    var value = promise._v;
	    var unhandled = isUnhandled(promise);
	    var result, handler, console;
	    if (unhandled) {
	      result = perform(function () {
	        if (isNode) {
	          process.emit('unhandledRejection', value, promise);
	        } else if (handler = global.onunhandledrejection) {
	          handler({ promise: promise, reason: value });
	        } else if ((console = global.console) && console.error) {
	          console.error('Unhandled promise rejection', value);
	        }
	      });
	      // Browsers should not trigger `rejectionHandled` event if it was handled here, NodeJS - should
	      promise._h = isNode || isUnhandled(promise) ? 2 : 1;
	    } promise._a = undefined;
	    if (unhandled && result.e) throw result.v;
	  });
	};
	var isUnhandled = function (promise) {
	  return promise._h !== 1 && (promise._a || promise._c).length === 0;
	};
	var onHandleUnhandled = function (promise) {
	  task.call(global, function () {
	    var handler;
	    if (isNode) {
	      process.emit('rejectionHandled', promise);
	    } else if (handler = global.onrejectionhandled) {
	      handler({ promise: promise, reason: promise._v });
	    }
	  });
	};
	var $reject = function (value) {
	  var promise = this;
	  if (promise._d) return;
	  promise._d = true;
	  promise = promise._w || promise; // unwrap
	  promise._v = value;
	  promise._s = 2;
	  if (!promise._a) promise._a = promise._c.slice();
	  notify(promise, true);
	};
	var $resolve = function (value) {
	  var promise = this;
	  var then;
	  if (promise._d) return;
	  promise._d = true;
	  promise = promise._w || promise; // unwrap
	  try {
	    if (promise === value) throw TypeError("Promise can't be resolved itself");
	    if (then = isThenable(value)) {
	      microtask(function () {
	        var wrapper = { _w: promise, _d: false }; // wrap
	        try {
	          then.call(value, ctx($resolve, wrapper, 1), ctx($reject, wrapper, 1));
	        } catch (e) {
	          $reject.call(wrapper, e);
	        }
	      });
	    } else {
	      promise._v = value;
	      promise._s = 1;
	      notify(promise, false);
	    }
	  } catch (e) {
	    $reject.call({ _w: promise, _d: false }, e); // wrap
	  }
	};

	// constructor polyfill
	if (!USE_NATIVE) {
	  // 25.4.3.1 Promise(executor)
	  $Promise = function Promise(executor) {
	    anInstance(this, $Promise, PROMISE, '_h');
	    aFunction(executor);
	    Internal.call(this);
	    try {
	      executor(ctx($resolve, this, 1), ctx($reject, this, 1));
	    } catch (err) {
	      $reject.call(this, err);
	    }
	  };
	  // eslint-disable-next-line no-unused-vars
	  Internal = function Promise(executor) {
	    this._c = [];             // <- awaiting reactions
	    this._a = undefined;      // <- checked in isUnhandled reactions
	    this._s = 0;              // <- state
	    this._d = false;          // <- done
	    this._v = undefined;      // <- value
	    this._h = 0;              // <- rejection state, 0 - default, 1 - handled, 2 - unhandled
	    this._n = false;          // <- notify
	  };
	  Internal.prototype = __webpack_require__(79)($Promise.prototype, {
	    // 25.4.5.3 Promise.prototype.then(onFulfilled, onRejected)
	    then: function then(onFulfilled, onRejected) {
	      var reaction = newPromiseCapability(speciesConstructor(this, $Promise));
	      reaction.ok = typeof onFulfilled == 'function' ? onFulfilled : true;
	      reaction.fail = typeof onRejected == 'function' && onRejected;
	      reaction.domain = isNode ? process.domain : undefined;
	      this._c.push(reaction);
	      if (this._a) this._a.push(reaction);
	      if (this._s) notify(this, false);
	      return reaction.promise;
	    },
	    // 25.4.5.1 Promise.prototype.catch(onRejected)
	    'catch': function (onRejected) {
	      return this.then(undefined, onRejected);
	    }
	  });
	  OwnPromiseCapability = function () {
	    var promise = new Internal();
	    this.promise = promise;
	    this.resolve = ctx($resolve, promise, 1);
	    this.reject = ctx($reject, promise, 1);
	  };
	  newPromiseCapabilityModule.f = newPromiseCapability = function (C) {
	    return C === $Promise || C === Wrapper
	      ? new OwnPromiseCapability(C)
	      : newGenericPromiseCapability(C);
	  };
	}

	$export($export.G + $export.W + $export.F * !USE_NATIVE, { Promise: $Promise });
	__webpack_require__(58)($Promise, PROMISE);
	__webpack_require__(80)(PROMISE);
	Wrapper = __webpack_require__(6)[PROMISE];

	// statics
	$export($export.S + $export.F * !USE_NATIVE, PROMISE, {
	  // 25.4.4.5 Promise.reject(r)
	  reject: function reject(r) {
	    var capability = newPromiseCapability(this);
	    var $$reject = capability.reject;
	    $$reject(r);
	    return capability.promise;
	  }
	});
	$export($export.S + $export.F * (LIBRARY || !USE_NATIVE), PROMISE, {
	  // 25.4.4.6 Promise.resolve(x)
	  resolve: function resolve(x) {
	    return promiseResolve(LIBRARY && this === Wrapper ? $Promise : this, x);
	  }
	});
	$export($export.S + $export.F * !(USE_NATIVE && __webpack_require__(81)(function (iter) {
	  $Promise.all(iter)['catch'](empty);
	})), PROMISE, {
	  // 25.4.4.1 Promise.all(iterable)
	  all: function all(iterable) {
	    var C = this;
	    var capability = newPromiseCapability(C);
	    var resolve = capability.resolve;
	    var reject = capability.reject;
	    var result = perform(function () {
	      var values = [];
	      var index = 0;
	      var remaining = 1;
	      forOf(iterable, false, function (promise) {
	        var $index = index++;
	        var alreadyCalled = false;
	        values.push(undefined);
	        remaining++;
	        C.resolve(promise).then(function (value) {
	          if (alreadyCalled) return;
	          alreadyCalled = true;
	          values[$index] = value;
	          --remaining || resolve(values);
	        }, reject);
	      });
	      --remaining || resolve(values);
	    });
	    if (result.e) reject(result.v);
	    return capability.promise;
	  },
	  // 25.4.4.4 Promise.race(iterable)
	  race: function race(iterable) {
	    var C = this;
	    var capability = newPromiseCapability(C);
	    var reject = capability.reject;
	    var result = perform(function () {
	      forOf(iterable, false, function (promise) {
	        C.resolve(promise).then(capability.resolve, reject);
	      });
	    });
	    if (result.e) reject(result.v);
	    return capability.promise;
	  }
	});


/***/ }),
/* 66 */
/***/ (function(module, exports, __webpack_require__) {

	// getting tag from 19.1.3.6 Object.prototype.toString()
	var cof = __webpack_require__(25);
	var TAG = __webpack_require__(59)('toStringTag');
	// ES3 wrong here
	var ARG = cof(function () { return arguments; }()) == 'Arguments';

	// fallback for IE11 Script Access Denied error
	var tryGet = function (it, key) {
	  try {
	    return it[key];
	  } catch (e) { /* empty */ }
	};

	module.exports = function (it) {
	  var O, T, B;
	  return it === undefined ? 'Undefined' : it === null ? 'Null'
	    // @@toStringTag case
	    : typeof (T = tryGet(O = Object(it), TAG)) == 'string' ? T
	    // builtinTag case
	    : ARG ? cof(O)
	    // ES3 arguments fallback
	    : (B = cof(O)) == 'Object' && typeof O.callee == 'function' ? 'Arguments' : B;
	};


/***/ }),
/* 67 */
/***/ (function(module, exports) {

	module.exports = function (it, Constructor, name, forbiddenField) {
	  if (!(it instanceof Constructor) || (forbiddenField !== undefined && forbiddenField in it)) {
	    throw TypeError(name + ': incorrect invocation!');
	  } return it;
	};


/***/ }),
/* 68 */
/***/ (function(module, exports, __webpack_require__) {

	var ctx = __webpack_require__(7);
	var call = __webpack_require__(69);
	var isArrayIter = __webpack_require__(70);
	var anObject = __webpack_require__(11);
	var toLength = __webpack_require__(28);
	var getIterFn = __webpack_require__(71);
	var BREAK = {};
	var RETURN = {};
	var exports = module.exports = function (iterable, entries, fn, that, ITERATOR) {
	  var iterFn = ITERATOR ? function () { return iterable; } : getIterFn(iterable);
	  var f = ctx(fn, that, entries ? 2 : 1);
	  var index = 0;
	  var length, step, iterator, result;
	  if (typeof iterFn != 'function') throw TypeError(iterable + ' is not iterable!');
	  // fast case for arrays with default iterator
	  if (isArrayIter(iterFn)) for (length = toLength(iterable.length); length > index; index++) {
	    result = entries ? f(anObject(step = iterable[index])[0], step[1]) : f(iterable[index]);
	    if (result === BREAK || result === RETURN) return result;
	  } else for (iterator = iterFn.call(iterable); !(step = iterator.next()).done;) {
	    result = call(iterator, f, step.value, entries);
	    if (result === BREAK || result === RETURN) return result;
	  }
	};
	exports.BREAK = BREAK;
	exports.RETURN = RETURN;


/***/ }),
/* 69 */
/***/ (function(module, exports, __webpack_require__) {

	// call something on iterator step with safe closing on error
	var anObject = __webpack_require__(11);
	module.exports = function (iterator, fn, value, entries) {
	  try {
	    return entries ? fn(anObject(value)[0], value[1]) : fn(value);
	  // 7.4.6 IteratorClose(iterator, completion)
	  } catch (e) {
	    var ret = iterator['return'];
	    if (ret !== undefined) anObject(ret.call(iterator));
	    throw e;
	  }
	};


/***/ }),
/* 70 */
/***/ (function(module, exports, __webpack_require__) {

	// check on default Array iterator
	var Iterators = __webpack_require__(53);
	var ITERATOR = __webpack_require__(59)('iterator');
	var ArrayProto = Array.prototype;

	module.exports = function (it) {
	  return it !== undefined && (Iterators.Array === it || ArrayProto[ITERATOR] === it);
	};


/***/ }),
/* 71 */
/***/ (function(module, exports, __webpack_require__) {

	var classof = __webpack_require__(66);
	var ITERATOR = __webpack_require__(59)('iterator');
	var Iterators = __webpack_require__(53);
	module.exports = __webpack_require__(6).getIteratorMethod = function (it) {
	  if (it != undefined) return it[ITERATOR]
	    || it['@@iterator']
	    || Iterators[classof(it)];
	};


/***/ }),
/* 72 */
/***/ (function(module, exports, __webpack_require__) {

	// 7.3.20 SpeciesConstructor(O, defaultConstructor)
	var anObject = __webpack_require__(11);
	var aFunction = __webpack_require__(8);
	var SPECIES = __webpack_require__(59)('species');
	module.exports = function (O, D) {
	  var C = anObject(O).constructor;
	  var S;
	  return C === undefined || (S = anObject(C)[SPECIES]) == undefined ? D : aFunction(S);
	};


/***/ }),
/* 73 */
/***/ (function(module, exports, __webpack_require__) {

	var ctx = __webpack_require__(7);
	var invoke = __webpack_require__(74);
	var html = __webpack_require__(57);
	var cel = __webpack_require__(16);
	var global = __webpack_require__(5);
	var process = global.process;
	var setTask = global.setImmediate;
	var clearTask = global.clearImmediate;
	var MessageChannel = global.MessageChannel;
	var Dispatch = global.Dispatch;
	var counter = 0;
	var queue = {};
	var ONREADYSTATECHANGE = 'onreadystatechange';
	var defer, channel, port;
	var run = function () {
	  var id = +this;
	  // eslint-disable-next-line no-prototype-builtins
	  if (queue.hasOwnProperty(id)) {
	    var fn = queue[id];
	    delete queue[id];
	    fn();
	  }
	};
	var listener = function (event) {
	  run.call(event.data);
	};
	// Node.js 0.9+ & IE10+ has setImmediate, otherwise:
	if (!setTask || !clearTask) {
	  setTask = function setImmediate(fn) {
	    var args = [];
	    var i = 1;
	    while (arguments.length > i) args.push(arguments[i++]);
	    queue[++counter] = function () {
	      // eslint-disable-next-line no-new-func
	      invoke(typeof fn == 'function' ? fn : Function(fn), args);
	    };
	    defer(counter);
	    return counter;
	  };
	  clearTask = function clearImmediate(id) {
	    delete queue[id];
	  };
	  // Node.js 0.8-
	  if (__webpack_require__(25)(process) == 'process') {
	    defer = function (id) {
	      process.nextTick(ctx(run, id, 1));
	    };
	  // Sphere (JS game engine) Dispatch API
	  } else if (Dispatch && Dispatch.now) {
	    defer = function (id) {
	      Dispatch.now(ctx(run, id, 1));
	    };
	  // Browsers with MessageChannel, includes WebWorkers
	  } else if (MessageChannel) {
	    channel = new MessageChannel();
	    port = channel.port2;
	    channel.port1.onmessage = listener;
	    defer = ctx(port.postMessage, port, 1);
	  // Browsers with postMessage, skip WebWorkers
	  // IE8 has postMessage, but it's sync & typeof its postMessage is 'object'
	  } else if (global.addEventListener && typeof postMessage == 'function' && !global.importScripts) {
	    defer = function (id) {
	      global.postMessage(id + '', '*');
	    };
	    global.addEventListener('message', listener, false);
	  // IE8-
	  } else if (ONREADYSTATECHANGE in cel('script')) {
	    defer = function (id) {
	      html.appendChild(cel('script'))[ONREADYSTATECHANGE] = function () {
	        html.removeChild(this);
	        run.call(id);
	      };
	    };
	  // Rest old browsers
	  } else {
	    defer = function (id) {
	      setTimeout(ctx(run, id, 1), 0);
	    };
	  }
	}
	module.exports = {
	  set: setTask,
	  clear: clearTask
	};


/***/ }),
/* 74 */
/***/ (function(module, exports) {

	// fast apply, http://jsperf.lnkit.com/fast-apply/5
	module.exports = function (fn, args, that) {
	  var un = that === undefined;
	  switch (args.length) {
	    case 0: return un ? fn()
	                      : fn.call(that);
	    case 1: return un ? fn(args[0])
	                      : fn.call(that, args[0]);
	    case 2: return un ? fn(args[0], args[1])
	                      : fn.call(that, args[0], args[1]);
	    case 3: return un ? fn(args[0], args[1], args[2])
	                      : fn.call(that, args[0], args[1], args[2]);
	    case 4: return un ? fn(args[0], args[1], args[2], args[3])
	                      : fn.call(that, args[0], args[1], args[2], args[3]);
	  } return fn.apply(that, args);
	};


/***/ }),
/* 75 */
/***/ (function(module, exports, __webpack_require__) {

	var global = __webpack_require__(5);
	var macrotask = __webpack_require__(73).set;
	var Observer = global.MutationObserver || global.WebKitMutationObserver;
	var process = global.process;
	var Promise = global.Promise;
	var isNode = __webpack_require__(25)(process) == 'process';

	module.exports = function () {
	  var head, last, notify;

	  var flush = function () {
	    var parent, fn;
	    if (isNode && (parent = process.domain)) parent.exit();
	    while (head) {
	      fn = head.fn;
	      head = head.next;
	      try {
	        fn();
	      } catch (e) {
	        if (head) notify();
	        else last = undefined;
	        throw e;
	      }
	    } last = undefined;
	    if (parent) parent.enter();
	  };

	  // Node.js
	  if (isNode) {
	    notify = function () {
	      process.nextTick(flush);
	    };
	  // browsers with MutationObserver, except iOS Safari - https://github.com/zloirock/core-js/issues/339
	  } else if (Observer && !(global.navigator && global.navigator.standalone)) {
	    var toggle = true;
	    var node = document.createTextNode('');
	    new Observer(flush).observe(node, { characterData: true }); // eslint-disable-line no-new
	    notify = function () {
	      node.data = toggle = !toggle;
	    };
	  // environments with maybe non-completely correct, but existent Promise
	  } else if (Promise && Promise.resolve) {
	    var promise = Promise.resolve();
	    notify = function () {
	      promise.then(flush);
	    };
	  // for other environments - macrotask based on:
	  // - setImmediate
	  // - MessageChannel
	  // - window.postMessag
	  // - onreadystatechange
	  // - setTimeout
	  } else {
	    notify = function () {
	      // strange IE + webpack dev server bug - use .call(global)
	      macrotask.call(global, flush);
	    };
	  }

	  return function (fn) {
	    var task = { fn: fn, next: undefined };
	    if (last) last.next = task;
	    if (!head) {
	      head = task;
	      notify();
	    } last = task;
	  };
	};


/***/ }),
/* 76 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';
	// 25.4.1.5 NewPromiseCapability(C)
	var aFunction = __webpack_require__(8);

	function PromiseCapability(C) {
	  var resolve, reject;
	  this.promise = new C(function ($$resolve, $$reject) {
	    if (resolve !== undefined || reject !== undefined) throw TypeError('Bad Promise constructor');
	    resolve = $$resolve;
	    reject = $$reject;
	  });
	  this.resolve = aFunction(resolve);
	  this.reject = aFunction(reject);
	}

	module.exports.f = function (C) {
	  return new PromiseCapability(C);
	};


/***/ }),
/* 77 */
/***/ (function(module, exports) {

	module.exports = function (exec) {
	  try {
	    return { e: false, v: exec() };
	  } catch (e) {
	    return { e: true, v: e };
	  }
	};


/***/ }),
/* 78 */
/***/ (function(module, exports, __webpack_require__) {

	var anObject = __webpack_require__(11);
	var isObject = __webpack_require__(12);
	var newPromiseCapability = __webpack_require__(76);

	module.exports = function (C, x) {
	  anObject(C);
	  if (isObject(x) && x.constructor === C) return x;
	  var promiseCapability = newPromiseCapability.f(C);
	  var resolve = promiseCapability.resolve;
	  resolve(x);
	  return promiseCapability.promise;
	};


/***/ }),
/* 79 */
/***/ (function(module, exports, __webpack_require__) {

	var hide = __webpack_require__(9);
	module.exports = function (target, src, safe) {
	  for (var key in src) {
	    if (safe && target[key]) target[key] = src[key];
	    else hide(target, key, src[key]);
	  } return target;
	};


/***/ }),
/* 80 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';
	var global = __webpack_require__(5);
	var core = __webpack_require__(6);
	var dP = __webpack_require__(10);
	var DESCRIPTORS = __webpack_require__(14);
	var SPECIES = __webpack_require__(59)('species');

	module.exports = function (KEY) {
	  var C = typeof core[KEY] == 'function' ? core[KEY] : global[KEY];
	  if (DESCRIPTORS && C && !C[SPECIES]) dP.f(C, SPECIES, {
	    configurable: true,
	    get: function () { return this; }
	  });
	};


/***/ }),
/* 81 */
/***/ (function(module, exports, __webpack_require__) {

	var ITERATOR = __webpack_require__(59)('iterator');
	var SAFE_CLOSING = false;

	try {
	  var riter = [7][ITERATOR]();
	  riter['return'] = function () { SAFE_CLOSING = true; };
	  // eslint-disable-next-line no-throw-literal
	  Array.from(riter, function () { throw 2; });
	} catch (e) { /* empty */ }

	module.exports = function (exec, skipClosing) {
	  if (!skipClosing && !SAFE_CLOSING) return false;
	  var safe = false;
	  try {
	    var arr = [7];
	    var iter = arr[ITERATOR]();
	    iter.next = function () { return { done: safe = true }; };
	    arr[ITERATOR] = function () { return iter; };
	    exec(arr);
	  } catch (e) { /* empty */ }
	  return safe;
	};


/***/ }),
/* 82 */
/***/ (function(module, exports, __webpack_require__) {

	// https://github.com/tc39/proposal-promise-finally
	'use strict';
	var $export = __webpack_require__(4);
	var core = __webpack_require__(6);
	var global = __webpack_require__(5);
	var speciesConstructor = __webpack_require__(72);
	var promiseResolve = __webpack_require__(78);

	$export($export.P + $export.R, 'Promise', { 'finally': function (onFinally) {
	  var C = speciesConstructor(this, core.Promise || global.Promise);
	  var isFunction = typeof onFinally == 'function';
	  return this.then(
	    isFunction ? function (x) {
	      return promiseResolve(C, onFinally()).then(function () { return x; });
	    } : onFinally,
	    isFunction ? function (e) {
	      return promiseResolve(C, onFinally()).then(function () { throw e; });
	    } : onFinally
	  );
	} });


/***/ }),
/* 83 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';
	// https://github.com/tc39/proposal-promise-try
	var $export = __webpack_require__(4);
	var newPromiseCapability = __webpack_require__(76);
	var perform = __webpack_require__(77);

	$export($export.S, 'Promise', { 'try': function (callbackfn) {
	  var promiseCapability = newPromiseCapability.f(this);
	  var result = perform(callbackfn);
	  (result.e ? promiseCapability.reject : promiseCapability.resolve)(result.v);
	  return promiseCapability.promise;
	} });


/***/ }),
/* 84 */
/***/ (function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _promise = __webpack_require__(45);

	var _promise2 = _interopRequireDefault(_promise);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	exports.default = function (fn) {
	  return function () {
	    var gen = fn.apply(this, arguments);
	    return new _promise2.default(function (resolve, reject) {
	      function step(key, arg) {
	        try {
	          var info = gen[key](arg);
	          var value = info.value;
	        } catch (error) {
	          reject(error);
	          return;
	        }

	        if (info.done) {
	          resolve(value);
	        } else {
	          return _promise2.default.resolve(value).then(function (value) {
	            step("next", value);
	          }, function (err) {
	            step("throw", err);
	          });
	        }
	      }

	      return step("next");
	    });
	  };
	};

/***/ }),
/* 85 */
/***/ (function(module, exports) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (instance, Constructor) {
	  if (!(instance instanceof Constructor)) {
	    throw new TypeError("Cannot call a class as a function");
	  }
	};

/***/ }),
/* 86 */
/***/ (function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _defineProperty = __webpack_require__(87);

	var _defineProperty2 = _interopRequireDefault(_defineProperty);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	exports.default = function () {
	  function defineProperties(target, props) {
	    for (var i = 0; i < props.length; i++) {
	      var descriptor = props[i];
	      descriptor.enumerable = descriptor.enumerable || false;
	      descriptor.configurable = true;
	      if ("value" in descriptor) descriptor.writable = true;
	      (0, _defineProperty2.default)(target, descriptor.key, descriptor);
	    }
	  }

	  return function (Constructor, protoProps, staticProps) {
	    if (protoProps) defineProperties(Constructor.prototype, protoProps);
	    if (staticProps) defineProperties(Constructor, staticProps);
	    return Constructor;
	  };
	}();

/***/ }),
/* 87 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(88), __esModule: true };

/***/ }),
/* 88 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(89);
	var $Object = __webpack_require__(6).Object;
	module.exports = function defineProperty(it, key, desc) {
	  return $Object.defineProperty(it, key, desc);
	};


/***/ }),
/* 89 */
/***/ (function(module, exports, __webpack_require__) {

	var $export = __webpack_require__(4);
	// 19.1.2.4 / 15.2.3.6 Object.defineProperty(O, P, Attributes)
	$export($export.S + $export.F * !__webpack_require__(14), 'Object', { defineProperty: __webpack_require__(10).f });


/***/ }),
/* 90 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _getPrototypeOf = __webpack_require__(91);

	var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

	var _classCallCheck2 = __webpack_require__(85);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _createClass2 = __webpack_require__(86);

	var _createClass3 = _interopRequireDefault(_createClass2);

	var _possibleConstructorReturn2 = __webpack_require__(94);

	var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

	var _inherits2 = __webpack_require__(112);

	var _inherits3 = _interopRequireDefault(_inherits2);

	var _analyticsTypes = __webpack_require__(120);

	var _BasicModule2 = __webpack_require__(121);

	var _BasicModule3 = _interopRequireDefault(_BasicModule2);

	var _utils = __webpack_require__(122);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var GAModule = function (_BasicModule) {
	  (0, _inherits3.default)(GAModule, _BasicModule);

	  function GAModule() {
	    (0, _classCallCheck3.default)(this, GAModule);

	    var _this = (0, _possibleConstructorReturn3.default)(this, (GAModule.__proto__ || (0, _getPrototypeOf2.default)(GAModule)).call(this, _analyticsTypes.MODULE_GA));

	    _this.settings = {
	      additionalAccountNames: [], // array of additional account names (only works for analyticsjs)
	      userId: null
	    };
	    return _this;
	  }

	  (0, _createClass3.default)(GAModule, [{
	    key: 'init',
	    value: function init() {
	      var initConf = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};


	      // Load the analytics snippet
	      (function (i, s, o, g, r, a, m) {
	        i['GoogleAnalyticsObject'] = r;
	        i[r] = i[r] || function () {
	          (i[r].q = i[r].q || []).push(arguments);
	        }, i[r].l = 1 * new Date();
	        a = s.createElement(o), m = s.getElementsByTagName(o)[0];
	        // a.async = 1;
	        a.setAttribute('defer', '');
	        a.src = g;
	        m.parentNode.insertBefore(a, m);
	      })(window, document, 'script', 'https://www.google-analytics.com/analytics.js', 'ga');

	      // Apply default configuration
	      // initConf = { ...pluginConfig, ...initConf }
	      var mandatoryParams = ['trackingId', 'appName', 'appVersion'];
	      mandatoryParams.forEach(function (el) {
	        if (!initConf[el]) throw new Error('VueAnalytics : Please provide a "' + el + '" from the config.');
	      });

	      this.config.debug = initConf.debug;

	      // register tracker
	      ga('create', initConf.trackingId, 'auto');
	      ga("set", "transport", "beacon");

	      // set app name and version
	      ga('set', 'appName', initConf.appName);
	      ga('set', 'appVersion', initConf.appVersion);

	      // ecommerce
	      if (initConf['ecommerce']) {
	        ga('require', 'ecommerce');
	      }
	    }

	    // Methods

	    /**
	     * Dispatch a view analytics event
	     * https://developers.google.com/analytics/devguides/collection/analyticsjs/pages
	     *
	     * params object should contain
	     * @param {string} viewName - The name of the view
	     */

	  }, {
	    key: 'trackView',
	    value: function trackView(_ref) {
	      var viewName = _ref.viewName;

	      if (this.config.debug) {
	        (0, _utils.logDebug)(viewName);
	      }

	      var fieldsObject = {
	        hitType: 'pageview',
	        page: viewName
	      };

	      if (this.settings.userId) {
	        ga('set', '&uid', this.settings.userId);
	      }

	      // ga('set', 'screenName', params.viewName)
	      ga('send', fieldsObject);
	    }

	    /**
	     * Dispatch a tracking analytics event
	     * https://developers.google.com/analytics/devguides/collection/analyticsjs/events
	     *
	     * params object should contain
	     * @param {string} category - Typically the object that was interacted with (e.g. 'Video')
	     * @param {string} action - The type of interaction (e.g. 'play')
	     * @param {string} label - Useful for categorizing events (e.g. 'Fall Campaign')
	     * @param {integer} value - A numeric value associated with the event (e.g. 42)
	     */

	  }, {
	    key: 'trackEvent',
	    value: function trackEvent(_ref2) {
	      var _ref2$category = _ref2.category,
	          category = _ref2$category === undefined ? "Event" : _ref2$category,
	          action = _ref2.action,
	          _ref2$label = _ref2.label,
	          label = _ref2$label === undefined ? null : _ref2$label,
	          _ref2$value = _ref2.value,
	          value = _ref2$value === undefined ? null : _ref2$value,
	          _ref2$callback = _ref2.callback,
	          callback = _ref2$callback === undefined ? null : _ref2$callback;

	      if (this.config.debug) {
	        _utils.logDebug.apply(undefined, arguments);
	      }

	      // GA requires that eventValue be an integer, see:
	      // https://developers.google.com/analytics/devguides/collection/analyticsjs/field-reference#eventValue
	      // https://github.com/luisfarzati/angulartics/issues/81
	      if (value) {
	        var parsed = parseInt(value, 10);
	        value = isNaN(parsed) ? 0 : parsed;
	      }

	      var fieldsObject = {
	        hitType: 'event',
	        eventCategory: category,
	        eventAction: action,
	        eventLabel: label,
	        eventValue: value,
	        hitCallback: callback,
	        userId: this.settings.userId
	      };

	      ga('send', fieldsObject);
	    }

	    /**
	     * Track an exception that occurred in the application.
	     * https://developers.google.com/analytics/devguides/collection/analyticsjs/exceptions
	     *
	     * @param {string} description - Something describing the error (max. 150 Bytes)
	     * @param {boolean} isFatal - Specifies whether the exception was fatal
	     */

	  }, {
	    key: 'trackException',
	    value: function trackException(_ref3) {
	      var _ref3$description = _ref3.description,
	          description = _ref3$description === undefined ? "" : _ref3$description,
	          _ref3$isFatal = _ref3.isFatal,
	          isFatal = _ref3$isFatal === undefined ? false : _ref3$isFatal;

	      if (this.config.debug) {
	        (0, _utils.logDebug)({ description: description, isFatal: isFatal });
	      }
	      ga('send', 'exception', { 'exDescription': description, 'exFatal': isFatal });
	    }

	    /**
	     * Track an user timing to measure periods of time.
	     * https://developers.google.com/analytics/devguides/collection/analyticsjs/user-timings
	     *
	     * @param {string} timingCategory - A string for categorizing all user timing variables into logical groups (e.g. 'JS Dependencies').
	     * @param {string} timingVar -  A string to identify the variable being recorded (e.g. 'load').
	     * @param {number} timingValue - The number of milliseconds in elapsed time to report to Google Analytics (e.g. 20).
	     * @param {string|null} timingLabel -  A string that can be used to add flexibility in visualizing user timings in the reports (e.g. 'Google CDN').
	     */

	  }, {
	    key: 'trackTiming',
	    value: function trackTiming(timingCategory, timingVar, timingValue) {
	      var timingLabel = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : null;

	      if (this.config.debug) {
	        (0, _utils.logDebug)({ timingCategory: timingCategory, timingVar: timingVar, timingValue: timingValue, timingLabel: timingLabel });
	      }
	      var conf = {
	        hitType: 'timing',
	        timingCategory: timingCategory,
	        timingVar: timingVar,
	        timingValue: timingValue
	      };
	      if (timingLabel) {
	        conf.timingLabel = timingLabel;
	      }

	      ga('send', conf);
	    }
	  }, {
	    key: 'setUsername',
	    value: function setUsername(userId) {
	      this.settings.userId = userId;
	    }

	    // Same as setUsername

	  }, {
	    key: 'identify',
	    value: function identify(_ref4) {
	      var userId = _ref4.userId;

	      this.setUsername(userId);
	    }
	  }, {
	    key: 'setUserProperties',
	    value: function setUserProperties(_ref5) {
	      var properties = _ref5.properties;
	    }
	    // this.setDimensionsAndMetrics(properties)


	    /**
	    * Ecommerce transactions.
	    * ecommerce needs to be enabled in the module options (ecommerce = true)
	    * More info at https://developers.google.com/analytics/devguides/collection/analyticsjs/ecommerce
	    * @param {long} id - Transaction ID. Required
	    * @param {string} affiliation -  Affiliation or store name
	    * @param {float} revenue - Grand Total
	    * @param {flat} shipping -  Shipping
	    * @param {float} tax - Tax
	    * @param {string} currency - Currency - https://developers.google.com/analytics/devguides/platform/features/currencies
	    */

	  }, {
	    key: 'addTransaction',
	    value: function addTransaction(_ref6) {
	      var id = _ref6.id,
	          _ref6$affiliation = _ref6.affiliation,
	          affiliation = _ref6$affiliation === undefined ? '' : _ref6$affiliation,
	          _ref6$revenue = _ref6.revenue,
	          revenue = _ref6$revenue === undefined ? 0 : _ref6$revenue,
	          _ref6$shipping = _ref6.shipping,
	          shipping = _ref6$shipping === undefined ? 0 : _ref6$shipping,
	          _ref6$tax = _ref6.tax,
	          tax = _ref6$tax === undefined ? 0 : _ref6$tax,
	          _ref6$currency = _ref6.currency,
	          currency = _ref6$currency === undefined ? 'USD' : _ref6$currency;

	      ga('ecommerce:addTransaction', {
	        id: id,
	        affiliation: affiliation,
	        revenue: revenue,
	        shipping: shipping,
	        tax: tax,
	        currency: currency
	      });
	    }

	    /**
	    * Ecommerce transactions.
	    * ecommerce needs to be enabled in the module options (ecommerce = true)
	    * More info at https://developers.google.com/analytics/devguides/collection/analyticsjs/ecommerce
	    * @param {long} id - Transaction ID. Required
	    * @param {string} name -  Product name. Required.
	    * @param {string} sku - SKU/code.
	    * @param {string} category -  Category or variation.
	    * @param {float} price - Unit price.
	    * @param {int} quantity - Quantity
	    */

	  }, {
	    key: 'addItem',
	    value: function addItem(_ref7) {
	      var id = _ref7.id,
	          name = _ref7.name,
	          sku = _ref7.sku,
	          category = _ref7.category,
	          _ref7$price = _ref7.price,
	          price = _ref7$price === undefined ? 0 : _ref7$price,
	          _ref7$quantity = _ref7.quantity,
	          quantity = _ref7$quantity === undefined ? 1 : _ref7$quantity;

	      ga('ecommerce:addItem', {
	        id: id,
	        name: name,
	        sku: sku,
	        category: category,
	        price: price,
	        quantity: quantity
	      });
	    }

	    /**
	    * Ecommerce transactions.
	    * More info at https://developers.google.com/analytics/devguides/collection/analyticsjs/ecommerce
	    */

	  }, {
	    key: 'trackTransaction',
	    value: function trackTransaction() {
	      ga('ecommerce:send');
	    }

	    /**
	    * Ecommerce transactions.
	    * More info at https://developers.google.com/analytics/devguides/collection/analyticsjs/ecommerce
	    */

	  }, {
	    key: 'clearTransactions',
	    value: function clearTransactions() {
	      ga('ecommerce:clear');
	    }
	  }]);
	  return GAModule;
	}(_BasicModule3.default);

	exports.default = GAModule;

/***/ }),
/* 91 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(92), __esModule: true };

/***/ }),
/* 92 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(93);
	module.exports = __webpack_require__(6).Object.getPrototypeOf;


/***/ }),
/* 93 */
/***/ (function(module, exports, __webpack_require__) {

	// 19.1.2.9 Object.getPrototypeOf(O)
	var toObject = __webpack_require__(39);
	var $getPrototypeOf = __webpack_require__(60);

	__webpack_require__(40)('getPrototypeOf', function () {
	  return function getPrototypeOf(it) {
	    return $getPrototypeOf(toObject(it));
	  };
	});


/***/ }),
/* 94 */
/***/ (function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _typeof2 = __webpack_require__(95);

	var _typeof3 = _interopRequireDefault(_typeof2);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	exports.default = function (self, call) {
	  if (!self) {
	    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
	  }

	  return call && ((typeof call === "undefined" ? "undefined" : (0, _typeof3.default)(call)) === "object" || typeof call === "function") ? call : self;
	};

/***/ }),
/* 95 */
/***/ (function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _iterator = __webpack_require__(96);

	var _iterator2 = _interopRequireDefault(_iterator);

	var _symbol = __webpack_require__(99);

	var _symbol2 = _interopRequireDefault(_symbol);

	var _typeof = typeof _symbol2.default === "function" && typeof _iterator2.default === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof _symbol2.default === "function" && obj.constructor === _symbol2.default && obj !== _symbol2.default.prototype ? "symbol" : typeof obj; };

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	exports.default = typeof _symbol2.default === "function" && _typeof(_iterator2.default) === "symbol" ? function (obj) {
	  return typeof obj === "undefined" ? "undefined" : _typeof(obj);
	} : function (obj) {
	  return obj && typeof _symbol2.default === "function" && obj.constructor === _symbol2.default && obj !== _symbol2.default.prototype ? "symbol" : typeof obj === "undefined" ? "undefined" : _typeof(obj);
	};

/***/ }),
/* 96 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(97), __esModule: true };

/***/ }),
/* 97 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(48);
	__webpack_require__(61);
	module.exports = __webpack_require__(98).f('iterator');


/***/ }),
/* 98 */
/***/ (function(module, exports, __webpack_require__) {

	exports.f = __webpack_require__(59);


/***/ }),
/* 99 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(100), __esModule: true };

/***/ }),
/* 100 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(101);
	__webpack_require__(47);
	__webpack_require__(110);
	__webpack_require__(111);
	module.exports = __webpack_require__(6).Symbol;


/***/ }),
/* 101 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';
	// ECMAScript 6 symbols shim
	var global = __webpack_require__(5);
	var has = __webpack_require__(19);
	var DESCRIPTORS = __webpack_require__(14);
	var $export = __webpack_require__(4);
	var redefine = __webpack_require__(52);
	var META = __webpack_require__(102).KEY;
	var $fails = __webpack_require__(15);
	var shared = __webpack_require__(32);
	var setToStringTag = __webpack_require__(58);
	var uid = __webpack_require__(33);
	var wks = __webpack_require__(59);
	var wksExt = __webpack_require__(98);
	var wksDefine = __webpack_require__(103);
	var enumKeys = __webpack_require__(104);
	var isArray = __webpack_require__(106);
	var anObject = __webpack_require__(11);
	var isObject = __webpack_require__(12);
	var toIObject = __webpack_require__(23);
	var toPrimitive = __webpack_require__(17);
	var createDesc = __webpack_require__(18);
	var _create = __webpack_require__(55);
	var gOPNExt = __webpack_require__(107);
	var $GOPD = __webpack_require__(109);
	var $DP = __webpack_require__(10);
	var $keys = __webpack_require__(21);
	var gOPD = $GOPD.f;
	var dP = $DP.f;
	var gOPN = gOPNExt.f;
	var $Symbol = global.Symbol;
	var $JSON = global.JSON;
	var _stringify = $JSON && $JSON.stringify;
	var PROTOTYPE = 'prototype';
	var HIDDEN = wks('_hidden');
	var TO_PRIMITIVE = wks('toPrimitive');
	var isEnum = {}.propertyIsEnumerable;
	var SymbolRegistry = shared('symbol-registry');
	var AllSymbols = shared('symbols');
	var OPSymbols = shared('op-symbols');
	var ObjectProto = Object[PROTOTYPE];
	var USE_NATIVE = typeof $Symbol == 'function';
	var QObject = global.QObject;
	// Don't use setters in Qt Script, https://github.com/zloirock/core-js/issues/173
	var setter = !QObject || !QObject[PROTOTYPE] || !QObject[PROTOTYPE].findChild;

	// fallback for old Android, https://code.google.com/p/v8/issues/detail?id=687
	var setSymbolDesc = DESCRIPTORS && $fails(function () {
	  return _create(dP({}, 'a', {
	    get: function () { return dP(this, 'a', { value: 7 }).a; }
	  })).a != 7;
	}) ? function (it, key, D) {
	  var protoDesc = gOPD(ObjectProto, key);
	  if (protoDesc) delete ObjectProto[key];
	  dP(it, key, D);
	  if (protoDesc && it !== ObjectProto) dP(ObjectProto, key, protoDesc);
	} : dP;

	var wrap = function (tag) {
	  var sym = AllSymbols[tag] = _create($Symbol[PROTOTYPE]);
	  sym._k = tag;
	  return sym;
	};

	var isSymbol = USE_NATIVE && typeof $Symbol.iterator == 'symbol' ? function (it) {
	  return typeof it == 'symbol';
	} : function (it) {
	  return it instanceof $Symbol;
	};

	var $defineProperty = function defineProperty(it, key, D) {
	  if (it === ObjectProto) $defineProperty(OPSymbols, key, D);
	  anObject(it);
	  key = toPrimitive(key, true);
	  anObject(D);
	  if (has(AllSymbols, key)) {
	    if (!D.enumerable) {
	      if (!has(it, HIDDEN)) dP(it, HIDDEN, createDesc(1, {}));
	      it[HIDDEN][key] = true;
	    } else {
	      if (has(it, HIDDEN) && it[HIDDEN][key]) it[HIDDEN][key] = false;
	      D = _create(D, { enumerable: createDesc(0, false) });
	    } return setSymbolDesc(it, key, D);
	  } return dP(it, key, D);
	};
	var $defineProperties = function defineProperties(it, P) {
	  anObject(it);
	  var keys = enumKeys(P = toIObject(P));
	  var i = 0;
	  var l = keys.length;
	  var key;
	  while (l > i) $defineProperty(it, key = keys[i++], P[key]);
	  return it;
	};
	var $create = function create(it, P) {
	  return P === undefined ? _create(it) : $defineProperties(_create(it), P);
	};
	var $propertyIsEnumerable = function propertyIsEnumerable(key) {
	  var E = isEnum.call(this, key = toPrimitive(key, true));
	  if (this === ObjectProto && has(AllSymbols, key) && !has(OPSymbols, key)) return false;
	  return E || !has(this, key) || !has(AllSymbols, key) || has(this, HIDDEN) && this[HIDDEN][key] ? E : true;
	};
	var $getOwnPropertyDescriptor = function getOwnPropertyDescriptor(it, key) {
	  it = toIObject(it);
	  key = toPrimitive(key, true);
	  if (it === ObjectProto && has(AllSymbols, key) && !has(OPSymbols, key)) return;
	  var D = gOPD(it, key);
	  if (D && has(AllSymbols, key) && !(has(it, HIDDEN) && it[HIDDEN][key])) D.enumerable = true;
	  return D;
	};
	var $getOwnPropertyNames = function getOwnPropertyNames(it) {
	  var names = gOPN(toIObject(it));
	  var result = [];
	  var i = 0;
	  var key;
	  while (names.length > i) {
	    if (!has(AllSymbols, key = names[i++]) && key != HIDDEN && key != META) result.push(key);
	  } return result;
	};
	var $getOwnPropertySymbols = function getOwnPropertySymbols(it) {
	  var IS_OP = it === ObjectProto;
	  var names = gOPN(IS_OP ? OPSymbols : toIObject(it));
	  var result = [];
	  var i = 0;
	  var key;
	  while (names.length > i) {
	    if (has(AllSymbols, key = names[i++]) && (IS_OP ? has(ObjectProto, key) : true)) result.push(AllSymbols[key]);
	  } return result;
	};

	// 19.4.1.1 Symbol([description])
	if (!USE_NATIVE) {
	  $Symbol = function Symbol() {
	    if (this instanceof $Symbol) throw TypeError('Symbol is not a constructor!');
	    var tag = uid(arguments.length > 0 ? arguments[0] : undefined);
	    var $set = function (value) {
	      if (this === ObjectProto) $set.call(OPSymbols, value);
	      if (has(this, HIDDEN) && has(this[HIDDEN], tag)) this[HIDDEN][tag] = false;
	      setSymbolDesc(this, tag, createDesc(1, value));
	    };
	    if (DESCRIPTORS && setter) setSymbolDesc(ObjectProto, tag, { configurable: true, set: $set });
	    return wrap(tag);
	  };
	  redefine($Symbol[PROTOTYPE], 'toString', function toString() {
	    return this._k;
	  });

	  $GOPD.f = $getOwnPropertyDescriptor;
	  $DP.f = $defineProperty;
	  __webpack_require__(108).f = gOPNExt.f = $getOwnPropertyNames;
	  __webpack_require__(35).f = $propertyIsEnumerable;
	  __webpack_require__(105).f = $getOwnPropertySymbols;

	  if (DESCRIPTORS && !__webpack_require__(51)) {
	    redefine(ObjectProto, 'propertyIsEnumerable', $propertyIsEnumerable, true);
	  }

	  wksExt.f = function (name) {
	    return wrap(wks(name));
	  };
	}

	$export($export.G + $export.W + $export.F * !USE_NATIVE, { Symbol: $Symbol });

	for (var es6Symbols = (
	  // 19.4.2.2, 19.4.2.3, 19.4.2.4, 19.4.2.6, 19.4.2.8, 19.4.2.9, 19.4.2.10, 19.4.2.11, 19.4.2.12, 19.4.2.13, 19.4.2.14
	  'hasInstance,isConcatSpreadable,iterator,match,replace,search,species,split,toPrimitive,toStringTag,unscopables'
	).split(','), j = 0; es6Symbols.length > j;)wks(es6Symbols[j++]);

	for (var wellKnownSymbols = $keys(wks.store), k = 0; wellKnownSymbols.length > k;) wksDefine(wellKnownSymbols[k++]);

	$export($export.S + $export.F * !USE_NATIVE, 'Symbol', {
	  // 19.4.2.1 Symbol.for(key)
	  'for': function (key) {
	    return has(SymbolRegistry, key += '')
	      ? SymbolRegistry[key]
	      : SymbolRegistry[key] = $Symbol(key);
	  },
	  // 19.4.2.5 Symbol.keyFor(sym)
	  keyFor: function keyFor(sym) {
	    if (!isSymbol(sym)) throw TypeError(sym + ' is not a symbol!');
	    for (var key in SymbolRegistry) if (SymbolRegistry[key] === sym) return key;
	  },
	  useSetter: function () { setter = true; },
	  useSimple: function () { setter = false; }
	});

	$export($export.S + $export.F * !USE_NATIVE, 'Object', {
	  // 19.1.2.2 Object.create(O [, Properties])
	  create: $create,
	  // 19.1.2.4 Object.defineProperty(O, P, Attributes)
	  defineProperty: $defineProperty,
	  // 19.1.2.3 Object.defineProperties(O, Properties)
	  defineProperties: $defineProperties,
	  // 19.1.2.6 Object.getOwnPropertyDescriptor(O, P)
	  getOwnPropertyDescriptor: $getOwnPropertyDescriptor,
	  // 19.1.2.7 Object.getOwnPropertyNames(O)
	  getOwnPropertyNames: $getOwnPropertyNames,
	  // 19.1.2.8 Object.getOwnPropertySymbols(O)
	  getOwnPropertySymbols: $getOwnPropertySymbols
	});

	// 24.3.2 JSON.stringify(value [, replacer [, space]])
	$JSON && $export($export.S + $export.F * (!USE_NATIVE || $fails(function () {
	  var S = $Symbol();
	  // MS Edge converts symbol values to JSON as {}
	  // WebKit converts symbol values to JSON as null
	  // V8 throws on boxed symbols
	  return _stringify([S]) != '[null]' || _stringify({ a: S }) != '{}' || _stringify(Object(S)) != '{}';
	})), 'JSON', {
	  stringify: function stringify(it) {
	    var args = [it];
	    var i = 1;
	    var replacer, $replacer;
	    while (arguments.length > i) args.push(arguments[i++]);
	    $replacer = replacer = args[1];
	    if (!isObject(replacer) && it === undefined || isSymbol(it)) return; // IE8 returns string on undefined
	    if (!isArray(replacer)) replacer = function (key, value) {
	      if (typeof $replacer == 'function') value = $replacer.call(this, key, value);
	      if (!isSymbol(value)) return value;
	    };
	    args[1] = replacer;
	    return _stringify.apply($JSON, args);
	  }
	});

	// 19.4.3.4 Symbol.prototype[@@toPrimitive](hint)
	$Symbol[PROTOTYPE][TO_PRIMITIVE] || __webpack_require__(9)($Symbol[PROTOTYPE], TO_PRIMITIVE, $Symbol[PROTOTYPE].valueOf);
	// 19.4.3.5 Symbol.prototype[@@toStringTag]
	setToStringTag($Symbol, 'Symbol');
	// 20.2.1.9 Math[@@toStringTag]
	setToStringTag(Math, 'Math', true);
	// 24.3.3 JSON[@@toStringTag]
	setToStringTag(global.JSON, 'JSON', true);


/***/ }),
/* 102 */
/***/ (function(module, exports, __webpack_require__) {

	var META = __webpack_require__(33)('meta');
	var isObject = __webpack_require__(12);
	var has = __webpack_require__(19);
	var setDesc = __webpack_require__(10).f;
	var id = 0;
	var isExtensible = Object.isExtensible || function () {
	  return true;
	};
	var FREEZE = !__webpack_require__(15)(function () {
	  return isExtensible(Object.preventExtensions({}));
	});
	var setMeta = function (it) {
	  setDesc(it, META, { value: {
	    i: 'O' + ++id, // object ID
	    w: {}          // weak collections IDs
	  } });
	};
	var fastKey = function (it, create) {
	  // return primitive with prefix
	  if (!isObject(it)) return typeof it == 'symbol' ? it : (typeof it == 'string' ? 'S' : 'P') + it;
	  if (!has(it, META)) {
	    // can't set metadata to uncaught frozen object
	    if (!isExtensible(it)) return 'F';
	    // not necessary to add metadata
	    if (!create) return 'E';
	    // add missing metadata
	    setMeta(it);
	  // return object ID
	  } return it[META].i;
	};
	var getWeak = function (it, create) {
	  if (!has(it, META)) {
	    // can't set metadata to uncaught frozen object
	    if (!isExtensible(it)) return true;
	    // not necessary to add metadata
	    if (!create) return false;
	    // add missing metadata
	    setMeta(it);
	  // return hash weak collections IDs
	  } return it[META].w;
	};
	// add metadata on freeze-family methods calling
	var onFreeze = function (it) {
	  if (FREEZE && meta.NEED && isExtensible(it) && !has(it, META)) setMeta(it);
	  return it;
	};
	var meta = module.exports = {
	  KEY: META,
	  NEED: false,
	  fastKey: fastKey,
	  getWeak: getWeak,
	  onFreeze: onFreeze
	};


/***/ }),
/* 103 */
/***/ (function(module, exports, __webpack_require__) {

	var global = __webpack_require__(5);
	var core = __webpack_require__(6);
	var LIBRARY = __webpack_require__(51);
	var wksExt = __webpack_require__(98);
	var defineProperty = __webpack_require__(10).f;
	module.exports = function (name) {
	  var $Symbol = core.Symbol || (core.Symbol = LIBRARY ? {} : global.Symbol || {});
	  if (name.charAt(0) != '_' && !(name in $Symbol)) defineProperty($Symbol, name, { value: wksExt.f(name) });
	};


/***/ }),
/* 104 */
/***/ (function(module, exports, __webpack_require__) {

	// all enumerable object keys, includes symbols
	var getKeys = __webpack_require__(21);
	var gOPS = __webpack_require__(105);
	var pIE = __webpack_require__(35);
	module.exports = function (it) {
	  var result = getKeys(it);
	  var getSymbols = gOPS.f;
	  if (getSymbols) {
	    var symbols = getSymbols(it);
	    var isEnum = pIE.f;
	    var i = 0;
	    var key;
	    while (symbols.length > i) if (isEnum.call(it, key = symbols[i++])) result.push(key);
	  } return result;
	};


/***/ }),
/* 105 */
/***/ (function(module, exports) {

	exports.f = Object.getOwnPropertySymbols;


/***/ }),
/* 106 */
/***/ (function(module, exports, __webpack_require__) {

	// 7.2.2 IsArray(argument)
	var cof = __webpack_require__(25);
	module.exports = Array.isArray || function isArray(arg) {
	  return cof(arg) == 'Array';
	};


/***/ }),
/* 107 */
/***/ (function(module, exports, __webpack_require__) {

	// fallback for IE11 buggy Object.getOwnPropertyNames with iframe and window
	var toIObject = __webpack_require__(23);
	var gOPN = __webpack_require__(108).f;
	var toString = {}.toString;

	var windowNames = typeof window == 'object' && window && Object.getOwnPropertyNames
	  ? Object.getOwnPropertyNames(window) : [];

	var getWindowNames = function (it) {
	  try {
	    return gOPN(it);
	  } catch (e) {
	    return windowNames.slice();
	  }
	};

	module.exports.f = function getOwnPropertyNames(it) {
	  return windowNames && toString.call(it) == '[object Window]' ? getWindowNames(it) : gOPN(toIObject(it));
	};


/***/ }),
/* 108 */
/***/ (function(module, exports, __webpack_require__) {

	// 19.1.2.7 / 15.2.3.4 Object.getOwnPropertyNames(O)
	var $keys = __webpack_require__(22);
	var hiddenKeys = __webpack_require__(34).concat('length', 'prototype');

	exports.f = Object.getOwnPropertyNames || function getOwnPropertyNames(O) {
	  return $keys(O, hiddenKeys);
	};


/***/ }),
/* 109 */
/***/ (function(module, exports, __webpack_require__) {

	var pIE = __webpack_require__(35);
	var createDesc = __webpack_require__(18);
	var toIObject = __webpack_require__(23);
	var toPrimitive = __webpack_require__(17);
	var has = __webpack_require__(19);
	var IE8_DOM_DEFINE = __webpack_require__(13);
	var gOPD = Object.getOwnPropertyDescriptor;

	exports.f = __webpack_require__(14) ? gOPD : function getOwnPropertyDescriptor(O, P) {
	  O = toIObject(O);
	  P = toPrimitive(P, true);
	  if (IE8_DOM_DEFINE) try {
	    return gOPD(O, P);
	  } catch (e) { /* empty */ }
	  if (has(O, P)) return createDesc(!pIE.f.call(O, P), O[P]);
	};


/***/ }),
/* 110 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(103)('asyncIterator');


/***/ }),
/* 111 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(103)('observable');


/***/ }),
/* 112 */
/***/ (function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _setPrototypeOf = __webpack_require__(113);

	var _setPrototypeOf2 = _interopRequireDefault(_setPrototypeOf);

	var _create = __webpack_require__(117);

	var _create2 = _interopRequireDefault(_create);

	var _typeof2 = __webpack_require__(95);

	var _typeof3 = _interopRequireDefault(_typeof2);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	exports.default = function (subClass, superClass) {
	  if (typeof superClass !== "function" && superClass !== null) {
	    throw new TypeError("Super expression must either be null or a function, not " + (typeof superClass === "undefined" ? "undefined" : (0, _typeof3.default)(superClass)));
	  }

	  subClass.prototype = (0, _create2.default)(superClass && superClass.prototype, {
	    constructor: {
	      value: subClass,
	      enumerable: false,
	      writable: true,
	      configurable: true
	    }
	  });
	  if (superClass) _setPrototypeOf2.default ? (0, _setPrototypeOf2.default)(subClass, superClass) : subClass.__proto__ = superClass;
	};

/***/ }),
/* 113 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(114), __esModule: true };

/***/ }),
/* 114 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(115);
	module.exports = __webpack_require__(6).Object.setPrototypeOf;


/***/ }),
/* 115 */
/***/ (function(module, exports, __webpack_require__) {

	// 19.1.3.19 Object.setPrototypeOf(O, proto)
	var $export = __webpack_require__(4);
	$export($export.S, 'Object', { setPrototypeOf: __webpack_require__(116).set });


/***/ }),
/* 116 */
/***/ (function(module, exports, __webpack_require__) {

	// Works with __proto__ only. Old v8 can't work with null proto objects.
	/* eslint-disable no-proto */
	var isObject = __webpack_require__(12);
	var anObject = __webpack_require__(11);
	var check = function (O, proto) {
	  anObject(O);
	  if (!isObject(proto) && proto !== null) throw TypeError(proto + ": can't set as prototype!");
	};
	module.exports = {
	  set: Object.setPrototypeOf || ('__proto__' in {} ? // eslint-disable-line
	    function (test, buggy, set) {
	      try {
	        set = __webpack_require__(7)(Function.call, __webpack_require__(109).f(Object.prototype, '__proto__').set, 2);
	        set(test, []);
	        buggy = !(test instanceof Array);
	      } catch (e) { buggy = true; }
	      return function setPrototypeOf(O, proto) {
	        check(O, proto);
	        if (buggy) O.__proto__ = proto;
	        else set(O, proto);
	        return O;
	      };
	    }({}, false) : undefined),
	  check: check
	};


/***/ }),
/* 117 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(118), __esModule: true };

/***/ }),
/* 118 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(119);
	var $Object = __webpack_require__(6).Object;
	module.exports = function create(P, D) {
	  return $Object.create(P, D);
	};


/***/ }),
/* 119 */
/***/ (function(module, exports, __webpack_require__) {

	var $export = __webpack_require__(4);
	// 19.1.2.2 / 15.2.3.5 Object.create(O [, Properties])
	$export($export.S, 'Object', { create: __webpack_require__(55) });


/***/ }),
/* 120 */
/***/ (function(module, exports) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var MODULE_GA = exports.MODULE_GA = 'ga';
	var MODULE_MIXPANEL = exports.MODULE_MIXPANEL = 'mixpanel';
	var MODULE_SEGMENT = exports.MODULE_SEGMENT = 'segment';
	var MODULE_FACEBOOK = exports.MODULE_FACEBOOK = 'facebook';
	var MODULE_MPARTICLE = exports.MODULE_MPARTICLE = 'mparticle';

/***/ }),
/* 121 */
/***/ (function(module, exports, __webpack_require__) {

	"use strict";

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _classCallCheck2 = __webpack_require__(85);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _createClass2 = __webpack_require__(86);

	var _createClass3 = _interopRequireDefault(_createClass2);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var BasicModule = function () {
	  function BasicModule(name) {
	    var config = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
	    (0, _classCallCheck3.default)(this, BasicModule);

	    this.name = name;
	    this.config = config;
	  }

	  (0, _createClass3.default)(BasicModule, [{
	    key: "trackView",
	    value: function trackView() {/* Overriden by modules */}
	  }, {
	    key: "trackEvent",
	    value: function trackEvent() {/* Overriden by modules */}
	  }, {
	    key: "trackException",
	    value: function trackException() {/* Overriden by modules */}
	  }, {
	    key: "trackTiming",
	    value: function trackTiming() {/* Overriden by modules */}
	  }, {
	    key: "setAlias",
	    value: function setAlias() {/* Overriden by modules */}
	  }, {
	    key: "identify",
	    value: function identify() {/* Overriden by modules */}
	  }, {
	    key: "setUsername",
	    value: function setUsername() {/* Overriden by modules */}
	  }, {
	    key: "setUserProperties",
	    value: function setUserProperties() {/* Overriden by modules */}
	  }, {
	    key: "setUserPropertiesOnce",
	    value: function setUserPropertiesOnce() {/* Overriden by modules */}
	  }, {
	    key: "incrementUserProperties",
	    value: function incrementUserProperties() {/* Overriden by modules */}
	  }, {
	    key: "setSuperProperties",
	    value: function setSuperProperties() {/* Overriden by modules */}
	  }, {
	    key: "setSuperPropertiesOnce",
	    value: function setSuperPropertiesOnce() {/* Overriden by modules */}
	  }, {
	    key: "ecommerceTrackEvent",
	    value: function ecommerceTrackEvent() {/* Overriden by modules */}
	  }, {
	    key: "addTransaction",
	    value: function addTransaction() {/* Overriden by modules */}
	  }, {
	    key: "addItem",
	    value: function addItem() {/* Overriden by modules */}
	  }, {
	    key: "trackTransaction",
	    value: function trackTransaction() {/* Overriden by modules */}
	  }, {
	    key: "clearTransactions",
	    value: function clearTransactions() {/* Overriden by modules */}
	  }, {
	    key: "reset",
	    value: function reset() {/* Overriden by modules */}
	  }]);
	  return BasicModule;
	}();

	exports.default = BasicModule;

/***/ }),
/* 122 */
/***/ (function(module, exports) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	/**
	 * Console log depending on config debug mode
	 * @param {...*} message
	 */
	var logDebug = exports.logDebug = function logDebug(params) {
	  var _console;

	  (_console = console).log.apply(_console, ['VueAnalytics :'].concat(Array.prototype.slice.call(arguments)));
	};

	/**
	 * Handle tools for cordova app workarounds
	 */
	var cordovaApp = exports.cordovaApp = {
	  bootstrapWindows: function bootstrapWindows() {
	    // Disable activeX object to make Analytics.js use XHR, or something else
	    window.ActiveXObject = undefined;
	    ga('set', 'checkProtocolTask', null);
	  }
	};

/***/ }),
/* 123 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _assign = __webpack_require__(124);

	var _assign2 = _interopRequireDefault(_assign);

	var _getPrototypeOf = __webpack_require__(91);

	var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

	var _classCallCheck2 = __webpack_require__(85);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _createClass2 = __webpack_require__(86);

	var _createClass3 = _interopRequireDefault(_createClass2);

	var _possibleConstructorReturn2 = __webpack_require__(94);

	var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

	var _inherits2 = __webpack_require__(112);

	var _inherits3 = _interopRequireDefault(_inherits2);

	var _analyticsTypes = __webpack_require__(120);

	var _BasicModule2 = __webpack_require__(121);

	var _BasicModule3 = _interopRequireDefault(_BasicModule2);

	var _utils = __webpack_require__(122);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var MixpanelModule = function (_BasicModule) {
	  (0, _inherits3.default)(MixpanelModule, _BasicModule);

	  function MixpanelModule() {
	    (0, _classCallCheck3.default)(this, MixpanelModule);
	    return (0, _possibleConstructorReturn3.default)(this, (MixpanelModule.__proto__ || (0, _getPrototypeOf2.default)(MixpanelModule)).call(this, _analyticsTypes.MODULE_MIXPANEL));
	  }

	  (0, _createClass3.default)(MixpanelModule, [{
	    key: 'init',
	    value: function init() {
	      var initConf = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};


	      // Load the analytics snippet
	      (function (e, a) {
	        if (!a.__SV) {
	          var b = window;try {
	            var c,
	                l,
	                i,
	                j = b.location,
	                g = j.hash;c = function c(a, b) {
	              return (l = a.match(RegExp(b + "=([^&]*)"))) ? l[1] : null;
	            };g && c(g, "state") && (i = JSON.parse(decodeURIComponent(c(g, "state"))), "mpeditor" === i.action && (b.sessionStorage.setItem("_mpcehash", g), history.replaceState(i.desiredHash || "", e.title, j.pathname + j.search)));
	          } catch (m) {}var k, h;window.mixpanel = a;a._i = [];a.init = function (b, c, f) {
	            function e(b, a) {
	              var c = a.split(".");2 == c.length && (b = b[c[0]], a = c[1]);b[a] = function () {
	                b.push([a].concat(Array.prototype.slice.call(arguments, 0)));
	              };
	            }var d = a;"undefined" !== typeof f ? d = a[f] = [] : f = "mixpanel";d.people = d.people || [];d.toString = function (b) {
	              var a = "mixpanel";"mixpanel" !== f && (a += "." + f);b || (a += " (stub)");return a;
	            };d.people.toString = function () {
	              return d.toString(1) + ".people (stub)";
	            };k = "disable time_event track track_pageview track_links track_forms register register_once alias unregister identify name_tag set_config reset people.set people.set_once people.increment people.append people.union people.track_charge people.clear_charges people.delete_user".split(" ");
	            for (h = 0; h < k.length; h++) {
	              e(d, k[h]);
	            }a._i.push([b, c, f]);
	          };a.__SV = 1.2;b = e.createElement("script");b.type = "text/javascript";b.setAttribute('defer', '');b.src = "undefined" !== typeof MIXPANEL_CUSTOM_LIB_URL ? MIXPANEL_CUSTOM_LIB_URL : "file:" === e.location.protocol && "//cdn.mxpnl.com/libs/mixpanel-2-latest.min.js".match(/^\/\//) ? "https://cdn.mxpnl.com/libs/mixpanel-2-latest.min.js" : "//cdn.mxpnl.com/libs/mixpanel-2-latest.min.js";c = e.getElementsByTagName("script")[0];c.parentNode.insertBefore(b, c);
	        }
	      })(document, window.mixpanel || []);

	      // Apply default configuration
	      // initConf = { ...pluginConfig, ...initConf }
	      var mandatoryParams = ['token'];
	      mandatoryParams.forEach(function (el) {
	        if (!initConf[el]) throw new Error('VueMultianalytics : Please provide a "' + el + '" from the config.');
	      });

	      this.config.debug = initConf.debug;

	      // init
	      mixpanel.init(initConf.token, initConf.config);
	    }

	    // Methods

	    /**
	     * https://mixpanel.com/help/reference/javascript#sending-events
	     * Dispatch a view analytics event
	     *
	     * params object should contain
	     * @param viewName
	     */

	  }, {
	    key: 'trackView',
	    value: function trackView(_ref) {
	      var viewName = _ref.viewName;

	      if (!mixpanel.track) return;
	      if (this.config.debug) {
	        (0, _utils.logDebug)(viewName);
	      }
	      mixpanel.track("Page Viewed", { "page": viewName });
	    }

	    /**
	     * Dispatch a tracking analytics event
	     *
	     * params object should contain
	     * @param {string} action - Name of the event you are sending.
	     * @param {object} properties - An object of properties that are useful.
	     * @param {function} callback - if provided, the callback function will be called.
	     */

	  }, {
	    key: 'trackEvent',
	    value: function trackEvent(_ref2) {
	      var action = _ref2.action,
	          _ref2$properties = _ref2.properties,
	          properties = _ref2$properties === undefined ? {} : _ref2$properties,
	          _ref2$callback = _ref2.callback,
	          callback = _ref2$callback === undefined ? null : _ref2$callback;

	      if (!mixpanel.track) return;
	      if (this.config.debug) {
	        _utils.logDebug.apply(undefined, arguments);
	      }

	      // Mixpanel alters the properties object with it's own properties. To avoid that, we
	      // need to clone the object
	      // https://github.com/mixpanel/mixpanel-js/blob/master/src/mixpanel-core.js#L1066
	      var mixpanelProperties = (0, _assign2.default)({}, properties);
	      mixpanel.track(action, mixpanelProperties, callback);
	    }
	  }, {
	    key: 'setAlias',
	    value: function setAlias(alias) {
	      if (!mixpanel.alias) return;
	      if (this.config.debug) {
	        (0, _utils.logDebug)(alias);
	      }
	      mixpanel.alias(alias);
	    }
	  }, {
	    key: 'identify',
	    value: function identify(_ref3) {
	      var userId = _ref3.userId;

	      if (!mixpanel.identify) return;
	      if (this.config.debug) {
	        (0, _utils.logDebug)(userId);
	      }
	      if (!userId) {
	        return;
	      }
	      mixpanel.identify(userId);
	    }
	  }, {
	    key: 'setUsername',
	    value: function setUsername(userId) {
	      if (!mixpanel.identity) return;
	      if (this.config.debug) {
	        (0, _utils.logDebug)(userId);
	      }
	      mixpanel.identify(userId);
	    }
	  }, {
	    key: 'setUserProperties',
	    value: function setUserProperties() {
	      var properties = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

	      if (!mixpanel.people) return;
	      if (this.config.debug) {
	        (0, _utils.logDebug)(properties);
	      }
	      mixpanel.people.set(properties);
	    }
	  }, {
	    key: 'setUserPropertiesOnce',
	    value: function setUserPropertiesOnce(properties) {
	      if (!mixpanel.people) return;
	      if (this.config.debug) {
	        (0, _utils.logDebug)(properties);
	      }
	      mixpanel.people.set_once(properties);
	    }
	  }, {
	    key: 'incrementUserProperties',
	    value: function incrementUserProperties(properties) {
	      if (!mixpanel.people) return;
	      if (this.config.debug) {
	        (0, _utils.logDebug)(properties);
	      }
	      mixpanel.people.increment(properties);
	    }
	  }, {
	    key: 'setSuperProperties',
	    value: function setSuperProperties(properties) {
	      if (!mixpanel.register) return;
	      if (this.config.debug) {
	        (0, _utils.logDebug)(properties);
	      }
	      mixpanel.register(properties);
	    }
	  }, {
	    key: 'setSuperPropertiesOnce',
	    value: function setSuperPropertiesOnce(properties) {
	      if (!mixpanel.register_once) return;
	      if (this.config.debug) {
	        (0, _utils.logDebug)(properties);
	      }
	      mixpanel.register_once(properties);
	    }
	  }, {
	    key: 'reset',
	    value: function reset() {
	      if (!mixpanel.reset) return;
	      if (this.config.debug) {
	        (0, _utils.logDebug)('reset');
	      }
	      mixpanel.reset();
	    }
	  }]);
	  return MixpanelModule;
	}(_BasicModule3.default);

	exports.default = MixpanelModule;

/***/ }),
/* 124 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(125), __esModule: true };

/***/ }),
/* 125 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(126);
	module.exports = __webpack_require__(6).Object.assign;


/***/ }),
/* 126 */
/***/ (function(module, exports, __webpack_require__) {

	// 19.1.3.1 Object.assign(target, source)
	var $export = __webpack_require__(4);

	$export($export.S + $export.F, 'Object', { assign: __webpack_require__(127) });


/***/ }),
/* 127 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';
	// 19.1.2.1 Object.assign(target, source, ...)
	var getKeys = __webpack_require__(21);
	var gOPS = __webpack_require__(105);
	var pIE = __webpack_require__(35);
	var toObject = __webpack_require__(39);
	var IObject = __webpack_require__(24);
	var $assign = Object.assign;

	// should work with symbols and should have deterministic property order (V8 bug)
	module.exports = !$assign || __webpack_require__(15)(function () {
	  var A = {};
	  var B = {};
	  // eslint-disable-next-line no-undef
	  var S = Symbol();
	  var K = 'abcdefghijklmnopqrst';
	  A[S] = 7;
	  K.split('').forEach(function (k) { B[k] = k; });
	  return $assign({}, A)[S] != 7 || Object.keys($assign({}, B)).join('') != K;
	}) ? function assign(target, source) { // eslint-disable-line no-unused-vars
	  var T = toObject(target);
	  var aLen = arguments.length;
	  var index = 1;
	  var getSymbols = gOPS.f;
	  var isEnum = pIE.f;
	  while (aLen > index) {
	    var S = IObject(arguments[index++]);
	    var keys = getSymbols ? getKeys(S).concat(getSymbols(S)) : getKeys(S);
	    var length = keys.length;
	    var j = 0;
	    var key;
	    while (length > j) if (isEnum.call(S, key = keys[j++])) T[key] = S[key];
	  } return T;
	} : $assign;


/***/ }),
/* 128 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _assign = __webpack_require__(124);

	var _assign2 = _interopRequireDefault(_assign);

	var _getPrototypeOf = __webpack_require__(91);

	var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

	var _classCallCheck2 = __webpack_require__(85);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _createClass2 = __webpack_require__(86);

	var _createClass3 = _interopRequireDefault(_createClass2);

	var _possibleConstructorReturn2 = __webpack_require__(94);

	var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

	var _inherits2 = __webpack_require__(112);

	var _inherits3 = _interopRequireDefault(_inherits2);

	var _analyticsTypes = __webpack_require__(120);

	var _BasicModule2 = __webpack_require__(121);

	var _BasicModule3 = _interopRequireDefault(_BasicModule2);

	var _utils = __webpack_require__(122);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var SegmentModule = function (_BasicModule) {
	  (0, _inherits3.default)(SegmentModule, _BasicModule);

	  function SegmentModule() {
	    (0, _classCallCheck3.default)(this, SegmentModule);

	    var _this = (0, _possibleConstructorReturn3.default)(this, (SegmentModule.__proto__ || (0, _getPrototypeOf2.default)(SegmentModule)).call(this, _analyticsTypes.MODULE_SEGMENT));

	    _this.superProperties = {};
	    return _this;
	  }

	  (0, _createClass3.default)(SegmentModule, [{
	    key: 'init',
	    value: function init() {
	      var initConf = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

	      // name of gloval variable changed from analytics to segment
	      (function () {
	        var analytics = window.analytics = window.analytics || [];if (!analytics.initialize) if (analytics.invoked) window.console && console.error && console.error("Segment snippet included twice.");else {
	          analytics.invoked = !0;analytics.methods = ["trackSubmit", "trackClick", "trackLink", "trackForm", "pageview", "identify", "reset", "group", "track", "ready", "alias", "debug", "page", "once", "off", "on"];analytics.factory = function (t) {
	            return function () {
	              var e = Array.prototype.slice.call(arguments);e.unshift(t);analytics.push(e);return analytics;
	            };
	          };for (var t = 0; t < analytics.methods.length; t++) {
	            var e = analytics.methods[t];analytics[e] = analytics.factory(e);
	          }analytics.load = function (t) {
	            var e = document.createElement("script");e.type = "text/javascript";e.setAttribute('defer', '');e.src = ("https:" === document.location.protocol ? "https://" : "http://") + "cdn.segment.com/analytics.js/v1/" + t + "/analytics.min.js";var n = document.getElementsByTagName("script")[0];n.parentNode.insertBefore(e, n);
	          };analytics.SNIPPET_VERSION = "4.0.0";
	        }
	      })();

	      // Apply default configuration
	      // initConf = { ...pluginConfig, ...initConf }
	      var mandatoryParams = ['token'];
	      mandatoryParams.forEach(function (el) {
	        if (!initConf[el]) throw new Error('VueMultianalytics : Please provide a "' + el + '" from the config.');
	      });

	      this.config.debug = initConf.debug;

	      // init
	      analytics.load(initConf.token);
	      analytics.debug(Boolean(this.config.debug));
	    }

	    /**
	     * https://segment.com/docs/sources/website/analytics.js/#page
	     * Dispatch a page event
	     *
	     * params object should contain
	     * @param {string} viewName
	     */

	  }, {
	    key: 'trackView',
	    value: function trackView(_ref) {
	      var viewName = _ref.viewName,
	          _ref$properties = _ref.properties,
	          properties = _ref$properties === undefined ? {} : _ref$properties;

	      if (!analytics.page) return;
	      if (this.config.debug) {
	        _utils.logDebug.apply(undefined, arguments);
	      }
	      try {
	        var fullProperties = (0, _assign2.default)(properties, this.superProperties);
	        analytics.page(viewName, properties);
	      } catch (e) {
	        if (!(e instanceof ReferenceError)) {
	          throw e;
	        }
	      }
	    }
	    /**
	     * Dispatch a tracking analytics event
	     * https://segment.com/docs/sources/website/analytics.js/#track
	     *
	     * params object should contain
	     * @param {string} category - Typically the object that was interacted with (e.g. 'Video')
	     * @param {string} action - The type of interaction (e.g. 'play')
	     * @param {string} label - Useful for categorizing events (e.g. 'Fall Campaign')
	     * @param {integer} value - A numeric value associated with the event (e.g. 42)
	     */

	  }, {
	    key: 'trackEvent',
	    value: function trackEvent(_ref2) {
	      var _ref2$category = _ref2.category,
	          category = _ref2$category === undefined ? "Event" : _ref2$category,
	          action = _ref2.action,
	          _ref2$label = _ref2.label,
	          label = _ref2$label === undefined ? null : _ref2$label,
	          _ref2$value = _ref2.value,
	          value = _ref2$value === undefined ? null : _ref2$value,
	          _ref2$properties = _ref2.properties,
	          properties = _ref2$properties === undefined ? {} : _ref2$properties,
	          _ref2$callback = _ref2.callback,
	          callback = _ref2$callback === undefined ? null : _ref2$callback;

	      if (!analytics.track) return;
	      if (this.config.debug) {
	        _utils.logDebug.apply(undefined, arguments);
	      }
	      try {
	        var fullProperties = (0, _assign2.default)(properties, this.superProperties);
	        analytics.track(action, fullProperties);
	      } catch (e) {
	        if (!(e instanceof ReferenceError)) {
	          throw e;
	        }
	      }
	    }

	    /**
	     * Same as identify
	     * associate your users and their actions to a recognizable userId
	     * https://segment.com/docs/sources/website/analytics.js/#identify
	     *
	     * @param {any} properties - traits of your user. If you specify a properties.userId, then a userId will be set
	     */

	  }, {
	    key: 'setUserProperties',
	    value: function setUserProperties() {
	      var properties = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

	      if (this.config.debug) {
	        (0, _utils.logDebug)(properties);
	      }
	      var params = {};

	      if (properties.hasOwnProperty('userId')) {
	        var id = properties.userId;
	        delete properties.userId;
	        params.userId = id;
	      }

	      params.options = properties;
	      this.identify(params);
	    }

	    /**
	     * Define a property that will be sent across all the events
	     *
	     * @param {any} properties
	     */

	  }, {
	    key: 'setSuperProperties',
	    value: function setSuperProperties(properties) {
	      if (this.config.debug) {
	        (0, _utils.logDebug)(properties);
	      }
	      this.superProperties = properties;
	    }

	    /**
	     * associate your users and their actions to a recognizable userId
	     * https://segment.com/docs/sources/website/analytics.js/#identify
	     *
	     * @param {any} params - traits of your user. If you specify a params.userId, then a userId will be set
	     */

	  }, {
	    key: 'identify',
	    value: function identify() {
	      var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

	      if (!analytics.identify) return;
	      if (this.config.debug) {
	        (0, _utils.logDebug)(params);
	      }
	      try {
	        if (params.userId) {
	          analytics.identify(params.userId, params.options);
	        } else {
	          analytics.identify(params.options);
	        }
	      } catch (e) {
	        if (!(e instanceof ReferenceError)) {
	          throw e;
	        }
	      }
	    }

	    /**
	     * Same as identify
	     * associate your users and their actions to a recognizable userId
	     * https://segment.com/docs/sources/website/analytics.js/#identify
	     *
	     * @param {any} name - userId
	     */

	  }, {
	    key: 'setUsername',
	    value: function setUsername(userId) {
	      if (this.config.debug) {
	        (0, _utils.logDebug)(userId);
	      }
	      this.identify({ userId: userId });
	    }

	    /**
	    *  Alias is necessary for properly implementing KISSmetrics and Mixpanel.
	    *  https://segment.com/docs/sources/website/analytics.js/#alias
	    *  Note: Aliasing is generally handled automatically when you identify a user
	    *
	    *  @param {string} alias
	    */

	  }, {
	    key: 'setAlias',
	    value: function setAlias(alias) {
	      if (!analytics.alias) return;
	      if (this.config.debug) {
	        (0, _utils.logDebug)(alias);
	      }
	      try {
	        analytics.alias(alias);
	      } catch (e) {
	        if (!(e instanceof ReferenceError)) {
	          throw e;
	        }
	      }
	    }
	  }, {
	    key: 'reset',
	    value: function reset() {
	      if (!analytics.reset) return;
	      if (this.config.debug) {
	        (0, _utils.logDebug)('reset');
	      }
	      try {
	        analytics.reset();
	      } catch (e) {
	        if (!(e instanceof ReferenceError)) {
	          throw e;
	        }
	      }
	    }
	  }]);
	  return SegmentModule;
	}(_BasicModule3.default);

	exports.default = SegmentModule;

/***/ }),
/* 129 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _objectDestructuringEmpty2 = __webpack_require__(130);

	var _objectDestructuringEmpty3 = _interopRequireDefault(_objectDestructuringEmpty2);

	var _getPrototypeOf = __webpack_require__(91);

	var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

	var _classCallCheck2 = __webpack_require__(85);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _createClass2 = __webpack_require__(86);

	var _createClass3 = _interopRequireDefault(_createClass2);

	var _possibleConstructorReturn2 = __webpack_require__(94);

	var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

	var _inherits2 = __webpack_require__(112);

	var _inherits3 = _interopRequireDefault(_inherits2);

	var _analyticsTypes = __webpack_require__(120);

	var _BasicModule2 = __webpack_require__(121);

	var _BasicModule3 = _interopRequireDefault(_BasicModule2);

	var _utils = __webpack_require__(122);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var FacebookModule = function (_BasicModule) {
	  (0, _inherits3.default)(FacebookModule, _BasicModule);

	  function FacebookModule() {
	    (0, _classCallCheck3.default)(this, FacebookModule);
	    return (0, _possibleConstructorReturn3.default)(this, (FacebookModule.__proto__ || (0, _getPrototypeOf2.default)(FacebookModule)).call(this, _analyticsTypes.MODULE_FACEBOOK));
	  }

	  (0, _createClass3.default)(FacebookModule, [{
	    key: 'init',
	    value: function init() {
	      var initConf = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

	      (function (f, b, e, v, n, t, s) {
	        if (f.fbq) return;n = f.fbq = function () {
	          n.callMethod ? n.callMethod.apply(n, arguments) : n.queue.push(arguments);
	        };if (!f._fbq) f._fbq = n;
	        n.push = n;n.loaded = !0;n.version = '2.0';n.queue = [];t = b.createElement(e);t.setAttribute('defer', '');
	        t.src = v;s = b.getElementsByTagName(e)[0];s.parentNode.insertBefore(t, s);
	      })(window, document, 'script', 'https://connect.facebook.net/en_US/fbevents.js');

	      // Apply default configuration
	      // initConf = { ...pluginConfig, ...initConf }
	      var mandatoryParams = ['token'];
	      mandatoryParams.forEach(function (el) {
	        if (!initConf[el]) throw new Error('VueAnalytics : Please provide a "' + el + '" from the config.');
	      });

	      this.config.debug = initConf.debug;
	      fbq('init', initConf.token);
	    }

	    // Methods

	    /**
	     * Dispatch a view analytics event
	     * https://developers.facebook.com/docs/ads-for-websites/pixel-events/v2.8
	     *
	     * params object should contain
	     *
	     */

	  }, {
	    key: 'trackView',
	    value: function trackView(_ref) {
	      (0, _objectDestructuringEmpty3.default)(_ref);

	      fbq('track', 'PageView');
	    }

	    /**
	     * Dispatch a tracking analytics event
	     * https://developers.facebook.com/docs/ads-for-websites/pixel-events/v2.8
	     *
	     * params object should contain
	     * @param {string} fb_event - Name of the specific event, it will be ViewContent by default
	     * @param {string} category - Typically the object that was interacted with (e.g. 'Video')
	     * @param {string} action - The type of interaction (e.g. 'play')
	     * @param {string} label - Useful for categorizing events (e.g. 'Fall Campaign')
	     * @param {integer} value - A numeric value associated with the event (e.g. 42)
	     * @param {array} ids - Array of ids which are affected in event
	     * @param {string} type - What kind of contente we are reffered with this event
	     * @param {string} currency - Currency the event will use
	     */

	  }, {
	    key: 'trackEvent',
	    value: function trackEvent(_ref2) {
	      var _ref2$fb_event = _ref2.fb_event,
	          fb_event = _ref2$fb_event === undefined ? 'ViewContent' : _ref2$fb_event,
	          _ref2$category = _ref2.category,
	          category = _ref2$category === undefined ? "Event" : _ref2$category,
	          action = _ref2.action,
	          _ref2$label = _ref2.label,
	          label = _ref2$label === undefined ? null : _ref2$label,
	          _ref2$value = _ref2.value,
	          value = _ref2$value === undefined ? null : _ref2$value,
	          _ref2$callback = _ref2.callback,
	          callback = _ref2$callback === undefined ? null : _ref2$callback,
	          _ref2$ids = _ref2.ids,
	          ids = _ref2$ids === undefined ? [] : _ref2$ids,
	          _ref2$type = _ref2.type,
	          type = _ref2$type === undefined ? null : _ref2$type,
	          _ref2$currency = _ref2.currency,
	          currency = _ref2$currency === undefined ? null : _ref2$currency;

	      if (this.config.debug) {
	        _utils.logDebug.apply(undefined, arguments);
	      }
	      if (value) {
	        var parsed = parseInt(value, 10);
	        value = isNaN(parsed) ? 0 : parsed;
	      }

	      var fieldsObject = {
	        content_name: label,
	        content_category: category,
	        content_ids: ids,
	        content_type: type,
	        value: value,
	        currency: currency
	      };
	      fbq('track', fb_event, fieldsObject);
	    }
	  }]);
	  return FacebookModule;
	}(_BasicModule3.default);

	exports.default = FacebookModule;

/***/ }),
/* 130 */
/***/ (function(module, exports) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (obj) {
	  if (obj == null) throw new TypeError("Cannot destructure undefined");
	};

/***/ }),
/* 131 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _promise = __webpack_require__(45);

	var _promise2 = _interopRequireDefault(_promise);

	var _assign = __webpack_require__(124);

	var _assign2 = _interopRequireDefault(_assign);

	var _getPrototypeOf = __webpack_require__(91);

	var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

	var _classCallCheck2 = __webpack_require__(85);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _createClass2 = __webpack_require__(86);

	var _createClass3 = _interopRequireDefault(_createClass2);

	var _possibleConstructorReturn2 = __webpack_require__(94);

	var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

	var _inherits2 = __webpack_require__(112);

	var _inherits3 = _interopRequireDefault(_inherits2);

	var _analyticsTypes = __webpack_require__(120);

	var _BasicModule2 = __webpack_require__(121);

	var _BasicModule3 = _interopRequireDefault(_BasicModule2);

	var _utils = __webpack_require__(122);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var MparticleModule = function (_BasicModule) {
	  (0, _inherits3.default)(MparticleModule, _BasicModule);

	  function MparticleModule() {
	    (0, _classCallCheck3.default)(this, MparticleModule);

	    var _this = (0, _possibleConstructorReturn3.default)(this, (MparticleModule.__proto__ || (0, _getPrototypeOf2.default)(MparticleModule)).call(this, _analyticsTypes.MODULE_MPARTICLE));

	    _this.superProperties = {};
	    _this.config;
	    return _this;
	  }

	  (0, _createClass3.default)(MparticleModule, [{
	    key: 'init',
	    value: function init() {
	      var initConf = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

	      // Apply default configuration
	      // initConf = { ...pluginConfig, ...initConf }
	      this.config = initConf;
	      var mandatoryParams = ["token"];
	      mandatoryParams.forEach(function (el) {
	        if (!initConf[el]) throw new Error('VueMultianalytics : Please provide a "' + el + '" from the config.');
	      });
	      window.mParticle = { config: { isDevelopmentMode: initConf.debug } };

	      // name of gloval variable changed from analytics to segment
	      (function (apiKey) {
	        window.mParticle = window.mParticle || {};
	        window.mParticle.eCommerce = { Cart: {} };
	        window.mParticle.Identity = {};
	        window.mParticle.config = window.mParticle.config || {};
	        window.mParticle.config.rq = [];
	        window.mParticle.ready = function (f) {
	          window.mParticle.config.rq.push(f);
	        };

	        function a(o, t) {
	          return function () {
	            t && (o = t + "." + o);
	            var e = Array.prototype.slice.call(arguments);
	            e.unshift(o), window.mParticle.config.rq.push(e);
	          };
	        }
	        var x = ["endSession", "logError", "logEvent", "logForm", "logLink", "logPageView", "setSessionAttribute", "setAppName", "setAppVersion", "setOptOut", "setPosition", "startNewSession", "startTrackingLocation", "stopTrackingLocation"],
	            y = ["setCurrencyCode", "logCheckout"],
	            z = ["login", "logout", "modify"];
	        x.forEach(function (o) {
	          window.mParticle[o] = a(o);
	        }), y.forEach(function (o) {
	          window.mParticle.eCommerce[o] = a(o, "eCommerce");
	        }), z.forEach(function (o) {
	          window.mParticle.Identity[o] = a(o, "Identity");
	        });

	        var mp = document.createElement("script");
	        mp.type = "text/javascript";
	        mp.async = true;
	        mp.src = ("https:" == document.location.protocol ? "https://jssdkcdns" : "http://jssdkcdn") + ".mparticle.com/js/v2/" + apiKey + "/mparticle.js";
	        var s = document.getElementsByTagName("script")[0];
	        s.parentNode.insertBefore(mp, s);
	      })(initConf.token);
	    }

	    /**
	     * https://segment.com/docs/sources/website/analytics.js/#page
	     * Dispatch a page event
	     *
	     * params object should contain
	     * @param {string} viewName
	     */

	  }, {
	    key: 'trackView',
	    value: function trackView(_ref) {
	      var viewName = _ref.viewName,
	          _ref$properties = _ref.properties,
	          properties = _ref$properties === undefined ? {} : _ref$properties,
	          _ref$customFlags = _ref.customFlags,
	          customFlags = _ref$customFlags === undefined ? {} : _ref$customFlags;

	      if (!mParticle.logPageView) return;
	      try {
	        var fullProperties = (0, _assign2.default)(properties, this.superProperties);
	        mParticle.logPageView(viewName, fullProperties, customFlags);
	      } catch (e) {
	        if (!(e instanceof ReferenceError)) {
	          throw e;
	        }
	      }
	    }
	    /**
	     * Dispatch a tracking analytics event
	     * https://segment.com/docs/sources/website/analytics.js/#track
	     *
	     * params object should contain
	     * @param {string} category - Typically the object that was interacted with (e.g. 'Video')
	     * @param {string} action - The type of interaction (e.g. 'play')
	     * @param {integer} eventType - Type of event for mParticle
	     * @param {string} label - Useful for categorizing events (e.g. 'Fall Campaign')
	     * @param {integer} value - A numeric value associated with the event (e.g. 42)
	     */

	  }, {
	    key: 'trackEvent',
	    value: function trackEvent(_ref2) {
	      var _ref2$category = _ref2.category,
	          category = _ref2$category === undefined ? "Event" : _ref2$category,
	          action = _ref2.action,
	          _ref2$eventType = _ref2.eventType,
	          eventType = _ref2$eventType === undefined ? mParticle.EventType.Other : _ref2$eventType,
	          _ref2$label = _ref2.label,
	          label = _ref2$label === undefined ? null : _ref2$label,
	          _ref2$value = _ref2.value,
	          value = _ref2$value === undefined ? null : _ref2$value,
	          _ref2$properties = _ref2.properties,
	          properties = _ref2$properties === undefined ? {} : _ref2$properties,
	          _ref2$callback = _ref2.callback,
	          callback = _ref2$callback === undefined ? null : _ref2$callback;

	      if (!mParticle.logEvent) return;
	      try {
	        if (this.config.debug) {
	          _utils.logDebug.apply(undefined, arguments);
	        }
	        var fullProperties = (0, _assign2.default)(properties, this.superProperties);
	        mParticle.logEvent(action, eventType, fullProperties);
	      } catch (e) {
	        if (!(e instanceof ReferenceError)) {
	          throw e;
	        }
	      }
	    }

	    /**
	     * Dispatch a tracking analytics event
	     * https://segment.com/docs/sources/website/analytics.js/#track
	     *
	     * params object should contain
	     * @param {integer} productActionType - Type of action to ecommerce platform (e.g. 1)
	     * @param {object} product - Product to be tracked
	     * @param {object} attributes - object of attributes related to the event
	     */

	  }, {
	    key: 'ecommerceTrackEvent',
	    value: function ecommerceTrackEvent(_ref3) {
	      var _ref3$productActionTy = _ref3.productActionType,
	          productActionType = _ref3$productActionTy === undefined ? mParticle.CommerceEventType.ProductAddToCart : _ref3$productActionTy,
	          _ref3$product = _ref3.product,
	          product = _ref3$product === undefined ? [] : _ref3$product,
	          _ref3$properties = _ref3.properties,
	          properties = _ref3$properties === undefined ? {} : _ref3$properties,
	          _ref3$currency = _ref3.currency,
	          currency = _ref3$currency === undefined ? undefined : _ref3$currency;

	      if (!mParticle.eCommerce) return;
	      try {
	        if (this.config.debug) {
	          _utils.logDebug.apply(undefined, arguments);
	        }
	        var mProduct = {};
	        if (!Array.isArray(product)) {
	          mProduct = mParticle.eCommerce.createProduct(product.name, product.sku || performance.now(), product.price, product.quantity);
	        }

	        var fullProperties = (0, _assign2.default)(properties, this.superProperties);
	        if (currency) {
	          mParticle.eCommerce.setCurrencyCode(currency);
	        }
	        mParticle.eCommerce.logProductAction(productActionType, mProduct, fullProperties);
	      } catch (e) {
	        if (!(e instanceof ReferenceError)) {
	          throw e;
	        }
	      }
	    }

	    /**
	     * associate your users and their actions to a recognizable userId
	     * https://segment.com/docs/sources/website/analytics.js/#identify
	     *
	     * @param {any} properties - traits of your user. If you specify a properties.userId, then a userId will be set
	     */

	  }, {
	    key: 'identify',
	    value: function identify(userParams) {
	      return new _promise2.default(function (resolve, reject) {
	        var identityRequest = { userIdentities: userParams };
	        mParticle.Identity.login(identityRequest, function (result) {
	          if (result.httpCode === 200) resolve(result);else reject(result);
	        });
	      });
	    }
	  }, {
	    key: 'reset',
	    value: function reset() {
	      return new _promise2.default(function (resolve, reject) {
	        mParticle.Identity.logout({}, function (result) {
	          if (result.httpCode === 200) {
	            console.log(result);
	            resolve(result);
	          } else reject(result);
	        });
	      });
	    }
	  }, {
	    key: 'setUserProperties',
	    value: function setUserProperties(userParams) {
	      return new _promise2.default(function (resolve, reject) {
	        var identityRequest = { userIdentities: userParams };
	        mParticle.Identity.modify(identityRequest, function (result) {
	          if (result.httpCode === 200) resolve(result);else reject(result);
	        });
	      });
	    }

	    /**
	     * Define a property that will be sent across all the events
	     *
	     * @param {any} properties
	     */

	  }, {
	    key: 'setSuperProperties',
	    value: function setSuperProperties() {
	      var properties = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

	      if (properties.isAuthorized !== undefined) {
	        properties.isAuthorized = properties.isAuthorized ? "true" : "false";
	      }
	      this.superProperties = properties;
	    }
	  }]);
	  return MparticleModule;
	}(_BasicModule3.default);

	exports.default = MparticleModule;

/***/ })
/******/ ]);